tinsert(CT_RABoss_ModsToLoad, "CT_RABoss_Azuregos_OnLoad");
tinsert(CT_RABoss_ModsToLoad, "CT_RABoss_Emeriss_OnLoad");
tinsert(CT_RABoss_ModsToLoad, "CT_RABoss_Lethon_OnLoad");

-- Azuregos
function CT_RABoss_Azuregos_OnLoad()
	CT_RABoss_AddMod("아주어고스", CT_RABOSS_AZUREGOS_INFO, 1, CT_RABOSS_LOCATIONS_OUTDOOR);
	CT_RABoss_AddEvent("아주어고스", "CHAT_MSG_MONSTER_YELL", CT_RABoss_Azuregos_EventHandler);
	CT_RABoss_AddEvent("아주어고스", "CHAT_MSG_SPELL_AURA_GONE_OTHER", CT_RABoss_Azuregos_EventHandler);
	CT_RABoss_AddEvent("아주어고스", "CHAT_MSG_SPELL_PERIODIC_CREATURE_BUFFS", CT_RABoss_Azuregos_EventHandler);
	CT_RABoss_AddDropDownButton("아주어고스", { CT_RABOSS_ANNOUNCE, CT_RABOSS_ANNOUNCE_INFO .. CT_RABOSS_REQ_LEADER_OR_PROM }, "CT_RABoss_ModInfo", "announce", "CT_RABoss_SetInfo");
end

function CT_RABoss_Azuregos_EventHandler(event)
	if ( not CT_RABoss_Mods["아주어고스"] or not CT_RABoss_Mods["아주어고스"]["status"] or not CT_RABoss_Mods["아주어고스"].enabled ) then
		return;
	end
	if ( event == "CHAT_MSG_SPELL_PERIODIC_CREATURE_BUFFS" and string.find(arg1, CT_RABOSS_AZUREGOS_REFLECTION) ) then
		CT_RABoss_Announce(CT_RABOSS_AZUREGOS_SHIELDWARN, CT_RABoss_Mods["아주어고스"]["announce"]);
		CT_RABoss_PlaySound(3);
	elseif ( event == "CHAT_MSG_SPELL_AURA_GONE_OTHER" and string.find(arg1, CT_RABOSS_AZUREGOS_REFLECTION_END) ) then
		CT_RABoss_Announce(CT_RABOSS_AZUREGOS_SHIELDDOWN, CT_RABoss_Mods["아주어고스"]["announce"]);
		CT_RABoss_PlaySound(2);
	elseif ( event == "CHAT_MSG_MONSTER_YELL" and string.find(arg1, CT_RABOSS_AZUREGOS_TELEPORT) ) then
		CT_RABoss_Announce(CT_RABOSS_AZUREGOS_PORTWARN, CT_RABoss_Mods["아주어고스"]["announce"]);
		CT_RABoss_PlaySound(1);
	end
end

-- Emeriss
function CT_RABoss_Emeriss_OnLoad()
	CT_RABoss_AddMod("에메리스", CT_RABOSS_EMERISS_INFO, 1, CT_RABOSS_LOCATIONS_OUTDOOR);
	CT_RABoss_AddEvent("에메리스", "CHAT_MSG_SPELL_PERIODIC_FRIENDLYPLAYER_DAMAGE", CT_RABoss_Emeriss_EventHandler);
	CT_RABoss_AddEvent("에메리스", "CHAT_MSG_SPELL_PERIODIC_PARTY_DAMAGE", CT_RABoss_Emeriss_EventHandler);
	CT_RABoss_AddEvent("에메리스", "CHAT_MSG_SPELL_PERIODIC_SELF_DAMAGE", CT_RABoss_Emeriss_EventHandler);

	CT_RABoss_AddDropDownButton("에메리스", { CT_RABOSS_ANNOUNCE, CT_RABOSS_ANNOUNCE_INFO .. CT_RABOSS_REQ_LEADER_OR_PROM }, "CT_RABoss_ModInfo", "announce", "CT_RABoss_SetInfo");
	CT_RABoss_AddDropDownButton("에메리스", { CT_RABOSS_EMERISS_BREATHMENU, CT_RABOSS_EMERISS_BREATHMENU_INFO }, "CT_RABoss_ModInfo", "enableBreath", "CT_RABoss_SetInfo");
	
	CT_RABoss_AddDropDownButton("에메리스", { CT_RABOSS_EMERISS_ALERT_NEARBY, CT_RABOSS_EMERISS_ALERT_NEARBY_INFO }, "CT_RABoss_ModInfo", "alertNearby", "CT_RABoss_SetInfo");
	CT_RABoss_AddDropDownButton("에메리스", { CT_RABOSS_EMERISS_TELL_TARGET, CT_RABOSS_EMERISS_TELL_TARGET_INFO }, "CT_RABoss_ModInfo", "sendTell", "CT_RABoss_SetInfo");
	
	CT_RABoss_SetVar("에메리스", "alertNearby", 1);
end

function CT_RABoss_Emeriss_EventHandler(event)
	if ( not CT_RABoss_Mods["에메리스"] or not CT_RABoss_Mods["에메리스"]["status"] or not CT_RABoss_Mods["에메리스"].enabled ) then
		return;
	end
	
	if ( event == "breathWarning" and CT_RABoss_Mods["에메리스"]["enableBreath"] ) then
		CT_RABoss_Mods["에메리스"]["BreathTrip"] = false;
		CT_RABoss_Announce(CT_RABOSS_EMERISS_5SECSBREATH, CT_RABoss_Mods["에메리스"]["announce"]);
		CT_RABoss_PlaySound(3);
	elseif ( ( string.find(arg1, CT_RABOSS_EMERISS_BREATH) ) and not CT_RABoss_Mods["에메리스"]["BreathTrip"] and CT_RABoss_Mods["에메리스"]["enableBreath"] ) then
		CT_RABoss_Mods["에메리스"]["BreathTrip"] = true;
		CT_RABoss_Announce(CT_RABOSS_EMERISS_25SECSBREATH, CT_RABoss_Mods["에메리스"]["announce"]);
		CT_RABoss_PlaySound(1);
		CT_RABoss_Schedule("CT_RABoss_Emeriss_EventHandler", 20, "breathWarning");
	end
	
	if ( event == "CHAT_MSG_SPELL_PERIODIC_SELF_DAMAGE" or ( ( event == "CHAT_MSG_SPELL_PERIODIC_FRIENDLYPLAYER_DAMAGE" or event == "CHAT_MSG_SPELL_PERIODIC_PARTY_DAMAGE" ) and CT_RABoss_Mods["에메리스"]["alertNearby"] ) ) then
		local sPlayer;
		if ( string.find(arg1, CT_RABOSS_EMERISS_AFFLICT_BOMB) ) then
			if ( string.find(arg1, "(.+)%|1이;가; 대지의") ) then
				local iStart, iEnd, sPlayer2, sType = string.find(arg1, CT_RABOSS_EMERISS_AFFLICT_SELF_MATCH1);
				sPlayer = sPlayer2;
			elseif ( arg1 == "대지의 오염에 걸렸습니다." ) then
				local iStart, iEnd, sPlayer2 = string.find(arg1, CT_RABOSS_EMERISS_AFFLICT_BOMB);
				if ( sPlayer2 == CT_RABOSS_EMERISS_AFFLICT_SELF_MATCH2 ) then
					sPlayer = sPlayer2;
				end
			end
			if ( sPlayer == CT_RABOSS_EMERISS_AFFLICT_SELF_MATCH2 ) then
				CT_RABoss_Announce(CT_RABOSS_EMERISS_BOMBWARNYOU);
				CT_RABoss_Announce(CT_RABOSS_EMERISS_BOMBWARNYOU);
				CT_RABoss_PlaySound(2);
			elseif ( sPlayer ) then
				if ( CT_RABoss_Mods["에메리스"]["alertNearby"] or CT_RABoss_Mods["에메리스"]["sendTell"] ) then
					if ( CT_RABoss_Mods["에메리스"]["sendTell"] ) then
						SendChatMessage(CT_RABOSS_EMERISS_BOMBWARNTELL, "WHISPER", nil, sPlayer);
					end
					if ( CT_RABoss_Mods["에메리스"]["alertNearby"] ) then
						CT_RABoss_Announce(sPlayer .. CT_RABOSS_EMERISS_BOMBWARNRAID);
						CT_RABoss_PlaySound(2);
					end
				end
			end
		end
	end
end

-- Lethon
function CT_RABoss_Lethon_OnLoad()
	CT_RABoss_AddMod("레손", CT_RABOSS_LETHON_INFO, 1, CT_RABOSS_LOCATIONS_OUTDOOR);
	CT_RABoss_AddEvent("레손", "CHAT_MSG_MONSTER_YELL", CT_RABoss_Lethon_EventHandler);
	CT_RABoss_AddDropDownButton("레손", { CT_RABOSS_ANNOUNCE, CT_RABOSS_ANNOUNCE_INFO .. CT_RABOSS_REQ_LEADER_OR_PROM }, "CT_RABoss_ModInfo", "announce", "CT_RABoss_SetInfo");
	CT_RA_RegisterSlashCmd("/레손중단", "레손 타이머를 중단합니다.", 30, "LETHONSTOP", function()
		CT_RABoss_UnSchedule("CT_RABoss_Lethon_EventHandler");
	end, "/레손중단");
	lethon_side = "right";
end

function CT_RABoss_Lethon_EventHandler(event)
	if ( not CT_RABoss_Mods["레손"] or not CT_RABoss_Mods["레손"]["status"] or not CT_RABoss_Mods["레손"].enabled ) then
		return;
	end
	if ( event == "CHAT_MSG_MONSTER_YELL" and string.find(arg1, CT_RABOSS_LETHON_YELL) ) then
		CT_RABoss_Announce("연발 어둠의 화살 시작됌!", CT_RABoss_Mods["레손"]["announce"]);
		PlaySoundFile("Sound\\Doodad\\BellTollNightElf.wav");
		CT_RABoss_PlaySound(1);
		lethon_side = "right";
		lethon_calibrate = "correct";
		lethon_count = 1;
		CT_RABoss_Schedule("CT_RABoss_Lethon_EventHandler", 3, "boltsWarning");
	elseif ( event == "boltsWarning" ) then
		if (lethon_calibrate == "early") then
			lethon_count = lethon_count + 1;
			lethon_calibrate = "correct";
		elseif (lethon_calibrate == "late") then
			lethon_count = lethon_count - 1;
			lethon_calibrate = "correct";
		end
		if (lethon_count >= 4) then
			lethon_count = 0;
			if ( lethon_side == "left") then
				lethon_side = "right";
				CT_RABoss_Announce("레손 머리 오른쪽으로 돌리세요 --->", CT_RABoss_Mods["레손"]["announce"]);
			else
				lethon_side = "left";
				CT_RABoss_Announce("레손 머리 왼쪽으로 돌리세요 <---", CT_RABoss_Mods["레손"]["announce"]);
			end
		end
		lethon_count = lethon_count + 1;
		CT_RABoss_Schedule("CT_RABoss_Lethon_EventHandler", 5, "boltsWarning");
	end
end

function lethon_early()
		lethon_calibrate = "early";
end

function lethon_late()
		lethon_calibrate = "late";
end

function lethon_wrong()
	if ( lethon_side == "left") then
		lethon_side = "right";
	else
		lethon_side = "left";
	end
	if ( lethon_side_yell == "left") then
		lethon_side_yell = "right";
	else
		lethon_side_yell = "left";
	end
end