tinsert(CT_RABoss_ModsToLoad, "CT_RABoss_Jeklik_OnLoad");
tinsert(CT_RABoss_ModsToLoad, "CT_RABoss_Venoxis_OnLoad");
tinsert(CT_RABoss_ModsToLoad, "CT_RABoss_Marli_OnLoad");
tinsert(CT_RABoss_ModsToLoad, "CT_RABoss_BloodlordMandokir_OnLoad");
tinsert(CT_RABoss_ModsToLoad, "CT_RABoss_Jindo_OnLoad");
tinsert(CT_RABoss_ModsToLoad, "CT_RABoss_Arlokk_OnLoad");
tinsert(CT_RABoss_ModsToLoad, "CT_RABoss_Hakkar_OnLoad");

-- Jeklik (Not yet recoded to use translation variables)
function CT_RABoss_Jeklik_OnLoad()
	CT_RABoss_AddMod("제클릭", "대여사제 제클릭의 힐과 박쥐 소환 시작을 알립니다.", 1, CT_RABOSS_LOCATIONS_ZULGURUB);
	CT_RABoss_AddEvent("제클릭", "CHAT_MSG_MONSTER_YELL", CT_RABoss_Jeklik_EventHandler);
	CT_RABoss_AddEvent("제클릭", "CHAT_MSG_MONSTER_EMOTE", CT_RABoss_Jeklik_EventHandler);
	
	CT_RABoss_AddDropDownButton("제클릭", { CT_RABOSS_ANNOUNCE, CT_RABOSS_ANNOUNCE_INFO .. CT_RABOSS_REQ_LEADER_OR_PROM }, "CT_RABoss_ModInfo", "announce", "CT_RABoss_SetInfo");
end

function CT_RABoss_Jeklik_EventHandler(event)
	if ( not CT_RABoss_Mods["제클릭"] or not CT_RABoss_Mods["제클릭"]["status"] or not CT_RABoss_Mods["제클릭"].enabled ) then
		return;
	end
	if ( event == "CHAT_MSG_MONSTER_YELL" and string.find(arg1, "침략자들에게 뜨거운 맛을 보여줘라!$") ) then
		CT_RABoss_Announce("*** 폭탄 박쥐 등장 ***", CT_RABoss_Mods["제클릭"]["announce"]);
		CT_RABoss_PlaySound(2);
	elseif ( event == "CHAT_MSG_MONSTER_EMOTE" and string.find(arg1, "상급 치유를 시전하기 시작합니다!$") ) then
		CT_RABoss_Announce("*** 치유주문 시전 ***", CT_RABoss_Mods["제클릭"]["announce"]);
		CT_RABoss_PlaySound(3);
	end
end

-- Venoxis (Not yet recoded to use translation variables)
function CT_RABoss_Venoxis_OnLoad()
	CT_RABoss_AddMod("베녹시스", "대사제 베녹시스의 소생 시전을 알립니다.", 1, CT_RABOSS_LOCATIONS_ZULGURUB);
	CT_RABoss_AddEvent("베녹시스", "CHAT_MSG_SPELL_PERIODIC_CREATURE_BUFFS", CT_RABoss_Venoxis_EventHandler);
	
	CT_RABoss_AddDropDownButton("베녹시스", { CT_RABOSS_ANNOUNCE, CT_RABOSS_ANNOUNCE_INFO .. CT_RABOSS_REQ_LEADER_OR_PROM }, "CT_RABoss_ModInfo", "announce", "CT_RABoss_SetInfo");
end

function CT_RABoss_Venoxis_EventHandler(event)
	if ( not CT_RABoss_Mods["베녹시스"] or not CT_RABoss_Mods["베녹시스"]["status"] or not CT_RABoss_Mods["베녹시스"].enabled ) then
		return;
	end
	if ( event == "CHAT_MSG_SPELL_PERIODIC_CREATURE_BUFFS" and arg1 == "대사제 베녹시스|1이;가; 소생 효과를 얻었습니다." ) then
		CT_RABoss_Announce("*** 소생 - 마법 무효화 해주세요 ***", CT_RABoss_Mods["베녹시스"]["announce"]);
		CT_RABoss_PlaySound(2);
	end
end

-- Mar'li
function CT_RABoss_Marli_OnLoad()
	CT_RABoss_AddMod("말리", CT_RABOSS_MARLI_INFO, 1, CT_RABOSS_LOCATIONS_ZULGURUB);
	CT_RABoss_AddEvent("말리", "CHAT_MSG_MONSTER_YELL", CT_RABoss_Marli_EventHandler);
	
	CT_RABoss_AddDropDownButton("말리", { CT_RABOSS_ANNOUNCE, CT_RABOSS_ANNOUNCE_INFO .. CT_RABOSS_REQ_LEADER_OR_PROM }, "CT_RABoss_ModInfo", "announce", "CT_RABoss_SetInfo");
end

function CT_RABoss_Marli_EventHandler(event)
	if ( not CT_RABoss_Mods["말리"] or not CT_RABoss_Mods["말리"]["status"] or not CT_RABoss_Mods["말리"].enabled ) then
	end
	if ( event == "CHAT_MSG_MONSTER_YELL" and string.find(arg1, CT_RABOSS_MARLI_REGEXP) ) then
		CT_RABoss_Announce("*** " .. CT_RABOSS_MARLI_ADDS .. " ***", CT_RABoss_Mods["말리"]["announce"]);
		CT_RABoss_PlaySound(2);
	end
end

-- Bloodlord Mandokir
function CT_RABoss_BloodlordMandokir_OnLoad()
	CT_RABoss_AddMod("혈군주 만도키르", CT_RABOSS_MANDOKIR_INFO, 1, CT_RABOSS_LOCATIONS_ZULGURUB);
	CT_RABoss_AddEvent("혈군주 만도키르", "CHAT_MSG_MONSTER_YELL", CT_RABoss_BloodlordMandokir_EventHandler);
	
	CT_RABoss_AddDropDownButton("혈군주 만도키르", { CT_RABOSS_ANNOUNCE, CT_RABOSS_ANNOUNCE_INFO .. CT_RABOSS_REQ_LEADER_OR_PROM }, "CT_RABoss_ModInfo", "announce", "CT_RABoss_SetInfo");
	CT_RABoss_AddDropDownButton("혈군주 만도키르", { CT_RABOSS_MANDOKIR_TELL_TARGET, CT_RABOSS_MANDOKOIR_TELL_TARGET_INFO }, "CT_RABoss_ModInfo", "sendTell", "CT_RABoss_SetInfo");
	
	CT_RABoss_SetVar("혈군주 만도키르", "alertNearby", 1);
end

function CT_RABoss_BloodlordMandokir_EventHandler(event)
	if ( not CT_RABoss_Mods["혈군주 만도키르"] or not CT_RABoss_Mods["혈군주 만도키르"]["status"] or not CT_RABoss_Mods["혈군주 만도키르"].enabled ) then
		return;
	end
	if ( event == "CHAT_MSG_MONSTER_YELL" and string.find(arg1, CT_RABOSS_MANDOKIR_REGEXP) ) then
		local iStart, iEnd, sPlayer = string.find(arg1, CT_RABOSS_MANDOKIR_REGEXP);
		if ( sPlayer ) then
			if ( sPlayer == UnitName("player") ) then
				CT_RABoss_Announce(CT_RABOSS_MANDOKIR_WATCHWARNYOU);
				CT_RABoss_Announce(CT_RABOSS_MANDOKIR_WATCHWARNYOU);
				CT_RABoss_PlaySound(2);
			else
				if ( CT_RABoss_Mods["혈군주 만도키르"]["sendTell"] ) then
					SendChatMessage(CT_RABOSS_MANDOKIR_WATCHWARNTELL, "WHISPER", nil, sPlayer);
				end
				CT_RABoss_Announce("*** " .. sPlayer .. CT_RABOSS_MANDOKIR_WATCHWARNRAID .. " ***");
				CT_RABoss_PlaySound(3);
			end
		end
		if ( CT_RA_Level >= 1 and CT_RABoss_Mods["혈군주 만도키르"]["announce"] ) then
			CT_RA_AddMessage("MS *** " .. sPlayer .. CT_RABOSS_MANDOKIR_WATCHWARNRAID .. " ***");
		end
	end
end

-- Jin'do (Not yet recoded to use translation variables)
function CT_RABoss_Jindo_OnLoad()
	CT_RABoss_AddMod("진도", "진도의 망상에 걸렸을 때 알립니다.", 1, CT_RABOSS_LOCATIONS_ZULGURUB);
	CT_RABoss_AddEvent("진도", "CHAT_MSG_SPELL_PERIODIC_PARTY_DAMAGE", CT_RABoss_Jindo_EventHandler);
	CT_RABoss_AddEvent("진도", "CHAT_MSG_SPELL_PERIODIC_FRIENDLYPLAYER_DAMAGE", CT_RABoss_Jindo_EventHandler);
	CT_RABoss_AddEvent("진도", "CHAT_MSG_SPELL_PERIODIC_SELF_DAMAGE", CT_RABoss_Jindo_EventHandler);
	CT_RABoss_AddDropDownButton("진도", { CT_RABOSS_ANNOUNCE, CT_RABOSS_ANNOUNCE_INFO .. CT_RABOSS_REQ_LEADER_OR_PROM }, "CT_RABoss_ModInfo", "announce", "CT_RABoss_SetInfo");
	CT_RABoss_AddDropDownButton("진도", { CT_RABOSS_JINDO_ALERT_NEARBY, CT_RABOSS_JINDO_ALERT_NEARBY_INFO }, "CT_RABoss_ModInfo", "alertNearby", "CT_RABoss_SetInfo");
	CT_RABoss_AddDropDownButton("진도", { CT_RABOSS_JINDO_TELL_TARGET, CT_RABOSS_JINDO_TELL_TARGET_INFO }, "CT_RABoss_ModInfo", "sendTell", "CT_RABoss_SetInfo");
end

function CT_RABoss_Jindo_EventHandler(event)
	if ( not CT_RABoss_Mods["진도"] or not CT_RABoss_Mods["진도"]["status"] or not CT_RABoss_Mods["진도"].enabled ) then
		return;
	end
	if ( event == "CHAT_MSG_SPELL_PERIODIC_PARTY_DAMAGE" or event == "CHAT_MSG_SPELL_PERIODIC_FRIENDLYPLAYER_DAMAGE" or event == "CHAT_MSG_SPELL_PERIODIC_SELF_DAMAGE" ) then
		local sPlayer;
		if ( string.find(arg1, CT_RABOSS_JINDO_AFFLICT_CURSE) ) then
			if ( string.find(arg1, "(.+)%|1이;가; 진도의") ) then
				local iStart, iEnd, sPlayer2, sType = string.find(arg1, CT_RABOSS_JINDO_AFFLICT_SELF_MATCH1);
				sPlayer = sPlayer2;
			elseif ( arg1 == "진도의 망상에 걸렸습니다." ) then
				local iStart, iEnd, sPlayer2 = string.find(arg1, CT_RABOSS_JINDO_AFFLICT_CURSE);
				if ( sPlayer2 == CT_RABOSS_JINDO_AFFLICT_SELF_MATCH2 ) then
					sPlayer = sPlayer2;
				end
			end
			if ( sPlayer == CT_RABOSS_JINDO_AFFLICT_SELF_MATCH2 ) then
				if ( CT_RA_Level >= 1 and CT_RABoss_Mods["진도"]["announce"] ) then
					CT_RA_AddMessage("MS *** " .. UnitName("player") .. "님이 저주에 걸렸습니다 - 해제하지 마세요 ***");
				end
				CT_RABoss_PlaySound(2);
			elseif ( sPlayer ) and ( CT_RABoss_Mods["진도"]["alertNearby"] or CT_RABoss_Mods["진도"]["sendTell"] ) then
				if ( CT_RABoss_Mods["진도"]["sendTell"] ) then
					SendChatMessage(CT_RABOSS_JINDO_CURSEWARNTELL, "WHISPER", nil, sPlayer);
				end
				if ( CT_RABoss_Mods["진도"]["alertNearby"] ) then
					CT_RABoss_Announce("*** " .. sPlayer .. "님이 저주에 걸렸습니다. - 해제하지 마세요 ***", CT_RABoss_Mods["진도"]["announce"]);
					CT_RABoss_PlaySound(3);
				end
			end
		end
	end
end

-- Hakkar
function CT_RABoss_Hakkar_OnLoad()
	CT_RABoss_AddMod("학카르", "학카르의 생명력 흡수를 알립니다.", 1, CT_RABOSS_LOCATIONS_ZULGURUB);
	CT_RABoss_AddEvent("학카르", "CHAT_MSG_SPELL_PERIODIC_CREATURE_DAMAGE", CT_RABoss_Hakkar_EventHandler);
	CT_RABoss_AddEvent("학카르", "CHAT_MSG_MONSTER_YELL", CT_RABoss_Hakkar_EventHandler);
	CT_RABoss_AddDropDownButton("학카르", { CT_RABOSS_ANNOUNCE, CT_RABOSS_ANNOUNCE_INFO .. CT_RABOSS_REQ_LEADER_OR_PROM }, "CT_RABoss_ModInfo", "announce", "CT_RABoss_SetInfo");
	CT_RABoss_AddDropDownButton("학카르", { CT_RABOSS_HAKKAR_ANNOUNCE_45, CT_RABOSS_HAKKAR_ANNOUNCE_45_INFO }, "CT_RABoss_ModInfo", "warn45", "CT_RABoss_SetInfo");
end

function CT_RABoss_Hakkar_EventHandler(event)
	if ( not CT_RABoss_Mods["학카르"] or not CT_RABoss_Mods["학카르"]["status"] or not CT_RABoss_Mods["학카르"].enabled ) then
		return;
	end
	
	if ( event == "CHAT_MSG_SPELL_PERIODIC_CREATURE_DAMAGE" and not CT_RABoss_Mods["학카르"]["priorWarning"] ) then
		local iStart, iEnd, sPlayer, sType = string.find(arg1, CT_RABOSS_HAKKAR_AFFLICT_POISON);
		if ( sPlayer and sType ) then
			CT_RABoss_Mods["학카르"]["priorWarning"] = 1;
			CT_RABoss_Announce(CT_RABOSS_HAKKAR_LIFEDRAIN, CT_RABoss_Mods["학카르"]["announce"]);
			CT_RABoss_PlaySound(3);
			CT_RABoss_Schedule("CT_RABoss_Hakkar_EventHandler", 45, "priorWarning");
			CT_RABoss_Schedule("CT_RABoss_Hakkar_EventHandler", 75, "priorWarning2");
		end
	elseif ( event == "CHAT_MSG_MONSTER_YELL" and string.find(arg1, "자만심은 세상의 종말을 불러올 뿐이다. 오너라! 건방진 피조물들이여! 와서 신의 진노에 맞서 보아라!$") ) then
   		CT_RABoss_Mods["학카르"]["priorWarning"] = 1;
		CT_RABoss_Announce(string.format(CT_RABOSS_HAKKAR_TIMEWARN, 90), CT_RABoss_Mods["학카르"]["announce"]);
		CT_RABoss_PlaySound(3);
		CT_RABoss_Schedule("CT_RABoss_Hakkar_EventHandler", 45, "priorWarning");
		CT_RABoss_Schedule("CT_RABoss_Hakkar_EventHandler", 75, "priorWarning2");
	elseif ( event == "priorWarning" and CT_RABoss_Mods["학카르"]["warn45"] ) then
		CT_RABoss_Announce(string.format(CT_RABOSS_HAKKAR_TIMEWARN, 45), CT_RABoss_Mods["학카르"]["announce"]);
		CT_RABoss_PlaySound(3);
	elseif ( event == "priorWarning2" ) then
		CT_RABoss_Mods["학카르"]["priorWarning"] = nil;
		CT_RABoss_Announce(string.format(CT_RABOSS_HAKKAR_TIMEWARN, 15), CT_RABoss_Mods["학카르"]["announce"]);
		CT_RABoss_PlaySound(3);
	end
end

-- Arlokk
function CT_RABoss_Arlokk_OnLoad()
	CT_RABoss_AddMod("알로크", "자신 또는 다른 사용자에게 표범 공격을 받는것을 알립니다.", 1, CT_RABOSS_LOCATIONS_ZULGURUB);
	CT_RABoss_AddEvent("알로크", "CHAT_MSG_MONSTER_YELL", CT_RABoss_Arlokk_EventHandler);

	CT_RABoss_AddDropDownButton("알로크", { CT_RABOSS_ANNOUNCE, CT_RABOSS_ANNOUNCE_INFO .. CT_RABOSS_REQ_LEADER_OR_PROM }, "CT_RABoss_ModInfo", "announce", "CT_RABoss_SetInfo");
	CT_RABoss_AddDropDownButton("알로크", { CT_RABOSS_ARLOKK_TELL_TARGET, CT_RABOSS_ARLOKK_TELL_TARGET_INFO }, "CT_RABoss_ModInfo", "sendTell", "CT_RABoss_SetInfo");
	
	CT_RABoss_SetVar("알로크", "alertNearby", 1);
end

function CT_RABoss_Arlokk_EventHandler(event)
	if ( not CT_RABoss_Mods["알로크"] or not CT_RABoss_Mods["알로크"]["status"] or not CT_RABoss_Mods["알로크"].enabled ) then
		return;
	end
	
	if ( event == "CHAT_MSG_MONSTER_YELL" and string.find(arg1, CT_RABOSS_ARLOKK_REGEXP) ) then
		local iStart, iEnd, sPlayer = string.find(arg1, CT_RABOSS_ARLOKK_REGEXP);
		if ( sPlayer ) then
			if ( sPlayer == UnitName("player") ) then
				CT_RABoss_Announce(CT_RABOSS_ARLOKK_WATCHWARNYOU);
				CT_RABoss_Announce(CT_RABOSS_ARLOKK_WATCHWARNYOU);
				CT_RABoss_PlaySound(2);
			else
				if ( CT_RABoss_Mods["알로크"]["sendTell"] ) then
					SendChatMessage(CT_RABOSS_ARLOKK_WATCHWARNTELL, "WHISPER", nil, sPlayer);
				end
				CT_RABoss_Announce("*** " .. sPlayer .. CT_RABOSS_ARLOKK_WATCHWARNRAID .. " ***");
				CT_RABoss_PlaySound(3);
			end
		end
		if ( CT_RA_Level >= 1 and CT_RABoss_Mods["알로크"]["announce"] ) then
			CT_RA_AddMessage("MS *** " .. sPlayer .. CT_RABOSS_ARLOKK_WATCHWARNRAID .. " ***");
		end
	end
end