
ItemRackText = {}

-- These three strings are the only ones required for the mod to work in other languages.  The rest are translations of benign text.
ItemRackText.INVTYPE_CONTAINER = "Bag"
ItemRackText.MOUNTCHECK = "^Increases speed" -- used only for checking if a mount buff is a real one

--[[ Key bindings ]]--

-- Bindings are created dynamically in the mod and are stored per-character with the binding attached to the set.
-- To add more bindings, change .MaxKeyBindings to the desired amount and add more _EQUIPSET here and in Bindings.xml
-- The key bindings is arguably the most complex part of the mod -- localize with care or hold off localizing until last
ItemRackText.BINDINGFORMAT = "Equip Set: %s"
ItemRackText.BINDINGSEARCH = "Equip Set: (.+)"
ItemRackText.MaxKeyBindings = 10
BINDING_HEADER_ItemRack = "ItemRack"
BINDING_NAME_EQUIPSET1 = "Equip Set: 1" -- these values change to string.format of BINDINGFORMAT on the binding owner's set
BINDING_NAME_EQUIPSET2 = "Equip Set: 2"
BINDING_NAME_EQUIPSET3 = "Equip Set: 3"
BINDING_NAME_EQUIPSET4 = "Equip Set: 4"
BINDING_NAME_EQUIPSET5 = "Equip Set: 5"
BINDING_NAME_EQUIPSET6 = "Equip Set: 6"
BINDING_NAME_EQUIPSET7 = "Equip Set: 7"
BINDING_NAME_EQUIPSET8 = "Equip Set: 8"
BINDING_NAME_EQUIPSET9 = "Equip Set: 9"
BINDING_NAME_EQUIPSET10 = "Equip Set: 10"

-- options text. none of the text below will affect how the mod runs.  It's just displayed text.

ItemRackText.CONTROL_ROTATE_TEXT = "Rotate"
ItemRackText.CONTROL_ROTATE_tooltip	= "Change the orientation of the bar between vertical or horizontal."
ItemRackText.CONTROL_LOCK_TEXT = "Lock"
ItemRackText.CONTROL_LOCK_TOOLTIP = "Lock or unlock the window.  While locked, hold ALT and move the mouse over the bar to access controls."
ItemRackText.CONTROL_OPTIONS_TEXT = "Settings"
ItemRackText.CONTROL_OPTIONS_TOOLTIP = "Change ItemRack settings."
ItemRackText.OPT_TOOLTIPFOLLOW_TEXT = "Tooltips at pointer"
ItemRackText.OPT_TOOLTIPFOLLOW_TOOLTIP = "Check this to make tooltips follow the pointer instead of displaying at the default location."
ItemRackText.OPT_COOLDOWNNUMBERS_TEXT = "Cooldown numbers"
ItemRackText.OPT_COOLDOWNNUMBERS_TOOLTIP = "Check this to display the numerical time left in an item's cooldown."
ItemRackText.OPT_SOULBOUND_TEXT = "Hide tradables"
ItemRackText.OPT_SOULBOUND_TOOLTIP = "Check this to only display soulbound, quest or conjured items in the menus.  Bind-On-Equip and tradable items will be ignored to prevent showing up as you loot through an instance."
ItemRackText.OPT_BINDINGS_TEXT = "Show key bindings"
ItemRackText.OPT_BINDINGS_TOOLTIP = "Check this to display any key bindings on the bar."
ItemRackText.OPT_MENUSHIFT_TEXT = "Menu on Shift only"
ItemRackText.OPT_MENUSHIFT_TOOLTIP = "Check this to prevent the menu from appearing unless you're holding the Shift key."
ItemRackText.OPT_CLOSE_TEXT = "Close Options"
ItemRackText.OPT_CLOSE_TOOLTIP = "Exit options.  To close ItemRack completely, remove all items from the bar or /itemrack."
ItemRackText.INVFRAME_RESIZE_TEXT = "Resize"
ItemRackText.INVFRAME_RESIZE_TOOLTIP = "Drag the 'grip' in the lower right corner to resize the window."
ItemRackText.OPT_SHOWEMPTY_TEXT = "Allow empty slots"
ItemRackText.OPT_SHOWEMPTY_TOOLTIP = "Check this to add empty slots to the swap menu.  Items will be dropped in the left-most available bag slot, if one exists.  You cannot queue empty slots.  Trinkets will not show empty slots if TrinketMenu Clicks is enabled."
ItemRackText.OPT_FLIPMENU_TEXT = "Flip menu"
ItemRackText.OPT_FLIPMENU_TOOLTIP = "The menu grows towards the middle of the screen by default.  Check this to make the menu grow from the opposite side that it automatically chooses."
ItemRackText.OPT_RIGHTCLICK_TEXT = "TrinketMenu mode"
ItemRackText.OPT_RIGHTCLICK_TOOLTIP = "Check this to make left-clicking a trinket go to the top trinket slot (as displayed on your character screen), and right-click to go to the bottom trinket slot.  Trinket pairs on the bar together will share one menu as well."
ItemRackText.OPT_TINYTOOLTIP_TEXT = "Use tiny tooltips"
ItemRackText.OPT_TINYTOOLTIP_TOOLTIP = "Check this to make item tooltips only show name, durability and cooldown."
ItemRackText.OPT_SHOWTOOLTIPS_TEXT = "Show tooltips"
ItemRackText.OPT_SHOWTOOLTIPS_TOOLTIP = "Check this to show tooltips."
ItemRackText.OPT_NOTIFY_TEXT = "Notify when ready"
ItemRackText.OPT_NOTIFY_TOOLTIP = "Check this to display a message when a used item has finished cooldown."
ItemRackText.OPT_ROTATEMENU_TEXT = "Rotate menu"
ItemRackText.OPT_ROTATEMENU_TOOLTIP = "The menu grows perpendicular to the bar by default.  Check this to make it grow parallel to the bar."
ItemRackText.OPT_SHOWICON_TEXT = "Minimap button"
ItemRackText.OPT_SHOWICON_TOOLTIP = "Check this to display a button around the edge of the minimap to access options and sets."
ItemRackText.OPT_DISABLETOGGLE_TEXT = "Minimap sets menu"
ItemRackText.OPT_DISABLETOGGLE_TOOLTIP = "Check this to toggle the set menu on left click.  Uncheck to toggle the bar on left click."
ItemRackText.OPT_FLIPBAR_TEXT = "Flip bar growth"
ItemRackText.OPT_FLIPBAR_TOOLTIP = "The bar grows down or to the right by default.  Check this to make it grow leftwards or upwards."
ItemRackText.OPT_ENABLEEVENTS_TEXT = "Enable Events"
ItemRackText.OPT_ENABLEEVENTS_TOOLTIP = "Check this to allow automated events enabled below to swap gear based on conditions defined within the events.\n\nUncheck to stop all event processing."
ItemRackText.OPT_SHOWALLEVENTS_TEXT = "Show All"
ItemRackText.OPT_SHOWALLEVENTS_TOOLTIP = "Check this to show all events for all classes.\n\nUncheck to prevent sets for other classes from listing."
ItemRackText.OPT_COMPACTLIST_TEXT = "Compact"
ItemRackText.OPT_COMPACTLIST_TOOLTIP = "Check this to list sets in a more compact form to see more at once."
ItemRackText.OPT_SAVEDSETSCLOSE_TEXT = "Cancel"
ItemRackText.OPT_SAVEDSETSCLOSE_TOOLTIP = "Cancel choosing a set."
ItemRackText.OPT_NOTIFYTHIRTY_TEXT = "Notify at 30 secs"
ItemRackText.OPT_NOTIFYTHIRTY_TOOLTIP = "Check this to notify at the 30-second mark instead of when an item's cooldown ends."
ItemRackText.OPT_ALLOWHIDDEN_TEXT = "Allow hidden items"
ItemRackText.OPT_ALLOWHIDDEN_TOOLTIP = "Check this to allow menu items to be hidden with ALT+click.  To recover a hidden item on the menu, hold ALT as you enter the bar and ALT+click the item again."
ItemRackText.OPT_LARGEFONT_TEXT = "Large Font"
ItemRackText.OPT_LARGEFONT_TOOLTIP = "Check this to use a bigger font in the script edit window below."
ItemRackText.OPT_SQUAREMINIMAP_TEXT = "Square minimap"
ItemRackText.OPT_SQUAREMINIMAP_TOOLTIP = "Check this to have the minimap button drag around the full square of the minimap."
ItemRackText.OPT_BIGCOOLDOWN_TEXT = "Large cooldown"
ItemRackText.OPT_BIGCOOLDOWN_TOOLTIP = "Check this to make cooldown numbers bigger, resembling Cooldown Count."
ItemRackText.OPT_SETLABELS_TEXT = "Show set icon labels"
ItemRackText.OPT_SETLABELS_TOOLTIP = "Check this to show set labels on set icons."
ItemRackText.OPT_AUTOTOGGLE_TEXT = "Auto toggle sets"
ItemRackText.OPT_AUTOTOGGLE_TOOLTIP = "Check this to make chosing a set always toggle it: If equipped it will revert to gear it replaced. If unequipped it will equip the set.\nThis is the same as choosing a set while Shift is held.\nNote: This behavior does not happen while in combat or dead, since it can't be sure what you're going to wear in the future."

ItemRackText.SETS_CLOSE_TEXT = "Close Set Builder"
ItemRackText.SETS_CLOSE_TOOLTIP = "Exit Set Builder.  To close ItemRack completely, remove all items from the bar or /itemrack."
ItemRackText.SETS_NAMELABEL_TEXT = "Choose a name and icon:"
ItemRackText.SETS_HIDESET_TEXT = "Hide"
ItemRackText.SETS_HIDESET_TOOLTIP = "When checked, this set will not appear in the popup menu on the rack.  Note: The set icon on the rack will always reflect the last set equipped, hidden or not.\n\nHold ALT while you mouseover sets on the bar to see hidden sets.  You can ALT+click sets in the menu to toggle their hidden status."
ItemRackText.SETS_BINDBUTTON_TEXT = "Bind Key"
ItemRackText.SETS_BINDBUTTON_TOOLTIP = "Bind a key to this set."
ItemRackText.SETS_SAVEBUTTON_TEXT = "Save"
ItemRackText.SETS_SAVEBUTTON_TOOLTIP = "Save this set as the name given above.  Except for key bindings, changes made to an existing set are not permanent until you save."
ItemRackText.SETS_REMOVEBUTTON_TEXT = "Remove"
ItemRackText.SETS_REMOVEBUTTON_TOOLTIP = "Remove this set definition.  To keep a set but prevent it from showing on the menu, check Hide below the set's icon and then save."
ItemRackText.SETS_LOADBUTTON_TEXT = "Equip"
ItemRackText.SETS_LOADBUTTON_TOOLTIP = "Equip the selected set."

ItemRackText.READY = "%s ready!"
ItemRackText.READYTHIRTY = "%s ready soon!"
ItemRackText.QUEUED = "Queued: %s"
ItemRackText.SAVED = "Set %s saved with %d items."
ItemRackText.BINDCLEAR = "Binding cleared for this set."
ItemRackText.BINDSET = "Set bound to key %s"

ItemRackText.ERROR_MISSING = "ItemRack: Some items were not found: "
ItemRackText.ERROR_NOROOM = "ItemRack: Not enough free bag space to complete swap."

ItemRackText.COUNTFORMAT = "%s slots"
ItemRackText.NOSAVEDSETS = "No saved sets."
ItemRackText.SETTOOLTIPFORMAT = "Set: %s"
ItemRackText.SETREMOVE = "Set %s removed."
ItemRackText.EMPTYSET = ""
ItemRackText.SETTOOLTIPCOUNT = "%s items"
ItemRackText.SETTOOLTIPMISSING = "%s missing"
ItemRackText.EVENTSSUSPENDED = "Note: Event processing is suspended\nwhile this window is up."

ItemRackText.UNDEFINEDEVENT_TEXT = "Not Defined Yet"
ItemRackText.UNDEFINEDEVENT_TOOLTIP = "Click here to associate a set with this event.  You can edit the event to use multiple sets per event, but all events must have one set associated with it before it can be used."
ItemRackText.ENABLEEVENT_TEXT = "Enable Event"
ItemRackText.ENABLEEVENT_TOOLTIP = "Check this to enable this particular event.  Uncheck to disable the event.  Use the 'Enable' checkbox at the top as a master on/off for events."

ItemRackText.EVENTSDELETE_TEXT = "Delete Event"
ItemRackText.EVENTSDELETE_TOOLTIP = "Delete this event.  If any other characters on this account use this event, it will revert to an undefined state for this character."
ItemRackText.EVENTSEDIT_TEXT = "Edit Event"
ItemRackText.EVENTSEDIT_TOOLTIP = "Edit this event.\n\nSome knowledge of lua or WoW macros helps immensely in dealing with events.\n\nYou cannot associate a set with this event by editing it.  Click the set icon in the list above to associate a set."
ItemRackText.EVENTSNEW_TEXT = "New Event"
ItemRackText.EVENTSNEW_TOOLTIP = "Create a new event.\n\nSome knowledge of lua or WoW macros helps immensely in dealing with events."

ItemRackText.EVENTSSAVE_TEXT = "Save Event"
ItemRackText.EVENTSSAVE_TOOLTIP = "Save this event.  You can save unfinished events, just be sure not to associate them with any set until it's ready.\n\nIf the name of an existing event is changed, a COPY is made under the new name."
ItemRackText.EVENTSTEST_TEXT = "Test Script"
ItemRackText.EVENTSTEST_TOOLTIP = "Test the above script by running it once now.  This is mostly to catch syntax or other errors that would produce a red error window.  It can't test the trigger or ensure the script will have desired results."
ItemRackText.EVENTSCANCEL_TEXT = "Return to Events"
ItemRackText.EVENTSCANCEL_TOOLTIP = "This will cancel any unsaved changes and return to the events list."
ItemRackText.EVENTNAME_TEXT = "Event Name"
ItemRackText.EVENTNAME_TOOLTIP = "This is the name of the event as listed in the previous window.  ie, \"Riding\", \"Warrior:Berserker\", etc\n\nPrefix a name with Class: to let the 'Show All' option filter events by classes, ie, \"Priest:Shadowform\""
ItemRackText.EVENTTRIGGER_TEXT = "Event Trigger"
ItemRackText.EVENTTRIGGER_TOOLTIP = "This is the trigger fired from WoW when you want the event to occur.\n\nSome common ones:\nPLAYER_AURAS_CHANGED : When your buffs or forms change.\nPLAYER_REGEN_DISABLED : When you enter combat mode.\nPLAYER_REGEN_ENABLED : When you leave combat mode.\n\nwww.wowwiki.com/Events lists them all."
ItemRackText.EVENTDELAY_TEXT = "Event Delay"
ItemRackText.EVENTDELAY_TOOLTIP = "This is the time (in seconds) after the latest trigger before performing this event.  A zero here will immediately perform the event each trigger.  Some triggers can happen many times in a flurry, such as BAG_UPDATE.  A delay here will ensure the event runs a single time once the flurry of triggers are over."

ItemRackText.RESETBUTTON_TEXT = "Reset Bar and Events"
ItemRackText.RESETBUTTON_TOOLTIP = "Click this to restore the bar to the center of the screen and to restore events to default. NOTE: This will remove custom events."
ItemRackText.BINDSLOTS_TEXT = "Bind Slots"
ItemRackText.BINDSLOTS_TOOLTIP = "Click this to bind keys to use equipment slots regardless of what's worn."

ItemRackText.DisableToggleText = {
	["ON"] = "Left click: toggle sets menu\nRight click: toggle config\nDrag: move icon",
	["OFF"] = "Left click: toggle bar\nRight click: toggle config\nDrag: move icon"
}

ItemRackText.HELP = "** NOTE: This version contains alpha-specific code.  Please do not break NDA by redistributing this. **\n\nThis is a mod to make swapping equipment easier.  You add equipment slots to a bar and mouseover on the bar will create a menu of all items in your bags that can go in that slot.\n\nTo move the minimap button, drag it like you would an ordinary window.\n\nTo set up:\n1. Open your character sheet. (C key is default)\n2. Alt+Click slots in the character sheet to add them to the bar.\n3. Alt+Click yourself in the character sheet to add sets to the bar.\n4. Use Alt+Click to remove slots/sets from the bar as well.\n\nTo use:\nMouseover a slot you added to the bar and it will present a menu of all items in your bags that can go in that slot.\nClick an item in the menu to swap to that item.\nClick an item on the bar to use that item if it's usable.\n\nTo create a set:\n1. Select which slots to save by clicking the slots around this window.\n2. Highlighted slots will save to the set, darkened slots will be ignored.\n3. If needed, swap to the gear you want to save to this set.\n4. Enter a name at the top of the sets window.\n5. Choose an icon below the name.\n6. Click Save.\n\nTo use a set, one of:\n- Bind a key to the set with 'Bind Key' button.\n- Swap from the bar as you would an item.\n- /script EquipSet(\"setname\") in a macro."

-- German translation by Leelaa at http://www.curse-gaming.com/mod.php?addid=2045
if (GetLocale() == "deDE") then
	ItemRackText.INVTYPE_CONTAINER = "Beh\195\164lter"
	ItemRackText.MOUNTCHECK = "^Erh\195\182ht Tempo" -- fix by Yarok

	ItemRackText.CONTROL_ROTATE_TEXT = "Rotieren"
	ItemRackText.CONTROL_ROTATE_TOOLTIP = "\195\132ndern der Ausrichtung der Leiste zwischen horizontal und vertikal."
	ItemRackText.CONTROL_LOCK_TEXT = "Sperren"
	ItemRackText.CONTROL_LOCK_TOOLTIP = "Sperren oder entsperren des Fensters.  Wenn gesperrt, ALT halten und mit der Maus \195\188ber das Fenster fahren um die Kontrollen zu sehen."
	ItemRackText.CONTROL_OPTIONS_TEXT = "Einstellungen"
	ItemRackText.CONTROL_OPTIONS_TOOLTIP = "ItemRack Einstellungen ver\195\164ndern."
	ItemRackText.OPT_TOOLTIPFOLLOW_TEXT = "Tooltips am Zeiger"
	ItemRackText.OPT_TOOLTIPFOLLOW_TOOLTIP = "Hier einen Haken setzen, um die Tooltips dem Mauszeiger folgen zu lassen."
	ItemRackText.OPT_COOLDOWNNUMBERS_TEXT = "Cooldown Z\195\164hler"
	ItemRackText.OPT_COOLDOWNNUMBERS_TOOLTIP = "Hier einen Haken setzen, um einen numerischen Z\195\164hler f\195\188r die restliche Cooldown-Zeit einzublenden."
	ItemRackText.OPT_SOULBOUND_TEXT = "Handelbares verstecken"
	ItemRackText.OPT_SOULBOUND_TOOLTIP = "Hier einen Haken setzen um nur seelengebundene-, Quest- oder herbeigezauberte Gegenst\195\164nde in den Men\195\188s anzuzeigen.  Bei-Aufheben-Gebundene und handelbare Gegenst\195\164nde werden ignoriert um die Anzeige zu verhindern."
	ItemRackText.OPT_BINDINGS_TEXT = "Tastenbelegungen"
	ItemRackText.OPT_BINDINGS_TOOLTIP = "Hier einen Haken setzen um die Tastenbelegungen anzuzeigen."
	ItemRackText.OPT_MENUSHIFT_TEXT = "Men\195\188 bei Shift"
	ItemRackText.OPT_MENUSHIFT_TOOLTIP = "Hier einen Haken setzen um zu verhindern, dass das Men\195\188 erscheint ohne das Shift gedr\195\188ckt wird."
	ItemRackText.OPT_CLOSE_TEXT	= "Optionen schliessen"
	ItemRackText.OPT_CLOSE_TOOLTIP = "Optionen verlassen.  Um ItemRack vollst\195\164ndig zu schliessen m\195\188ssen alle Gegenst\195\164nde entfernt werden oder /itemrack eingeben."
	ItemRackText.INVFRAME_RESIZE_TEXT = "Gr\195\182\195\159enanpassung"
	ItemRackText.INVFRAME_RESIZE_TOOLTIP = "Den 'Griff' in der rechten unteren Ecke ziehen um die Fenstergr\195\182\195\159e anzupassen."
	ItemRackText.OPT_SHOWEMPTY_TEXT = "Leere Pl\195\164tze erlauben"
	ItemRackText.OPT_SHOWEMPTY_TOOLTIP = "Hier einen Haken setzen um es zu erm\195\182glichen, leere Inventarpl\195\164tze in den Men\195\188s hinzuzuf\195\188gen.  Gegenst\195\164nde werden im \195\164u\195\159erst linken freien Taschenplatz abgelegt, wenn einer existiert.  Man kann leere Pl\195\164tze nicht in die Queue legen.  Trinkets haben keine leeren Pl\195\164tze wenn TrinketMenu Clicks aktiviert ist."
	ItemRackText.OPT_FLIPMENU_TEXT = "Men\195\188 umdrehen"
	ItemRackText.OPT_FLIPMENU_TOOLTIP = "Die Richtung des Men\195\188s w\195\164chst rechtwinklig zur Leiste.  Hier einen Haken setzen um das Men\195\188 auf der entgegengesetzen Seite erscheinen zu lassen, welche automatisch gew\195\164hlt w\195\188rde."
	ItemRackText.OPT_RIGHTCLICK_TEXT = "TrinketMenu Clicks"
	ItemRackText.OPT_RIGHTCLICK_TOOLTIP = "Hier einen Haken setzen, damit ein Linksclick auf ein Trinket dieses in den obersten Trinketplatz einwechselt, und ein Rechtsclick in den unteren Trinketplatz einwechselt.  (Falls man an TrinketMenu gew\195\182hnt ist)"
	ItemRackText.OPT_TINYTOOLTIP_TEXT = "Winzige Tooltips"
	ItemRackText.OPT_TINYTOOLTIP_TOOLTIP = "Hier einen Haken setzen damit die Tooltips nur den Namen, die Haltbarkeit und den Cooldown anzeigen."
	ItemRackText.OPT_SHOWTOOLTIPS_TEXT = "Tooltips anzeigen"
	ItemRackText.OPT_SHOWTOOLTIPS_TOOLTIP = "Hier einen Haken setzen um Tooltips anzuzeigen."
	ItemRackText.OPT_NOTIFY_TEXT = "Benachrichtigen wenn bereit"
	ItemRackText.OPT_NOTIFY_TOOLTIP = "Hier einen Haken setzen um eine Nachricht zu erhalten wenn ein Cooldown abgelaufen ist."

	ItemRackText.READY = "%s bereit!"
	ItemRackText.QUEUED = "In Warteschlange: %s"
end

-- French translation by Tinou at http://www.curse-gaming.com/mod.php?addid=2045
if (GetLocale() == "frFR") then
	ItemRackText.INVTYPE_CONTAINER = "Conteneur"
	ItemRackText.MOUNTCHECK = "^Augmente la vitesse de"
end

--[[ Extra Icons 

	Here you can add more icons available for use in the set builder.
	There are two ways to add an icon:

	1. Draw your own 64x64 uncompressed 32-bit TGA file and put it into Interface\Icons

	2. Use a "built-in" icon by adding its exact path/name to the list below.

	The icons below will list immediately after the icons for the worn gear in the order
	they are listed here.  If you draw your own icon and put it into Interface\Icons,
	you do not need to list it here.  They will be picked up automatically.

]]

ItemRackExtraIcons = {
	"Interface\\Icons\\INV_Banner_02",
	"Interface\\Icons\\INV_Banner_03",
	-- add new icons here in this format: "Interface\\Icons\\(ExactIconName)",
}


--[[ Events

	These are the default events.  They are locale-specific.
	/itemrack reset events : Will restore events to a default state
]]

ItemRack_DefaultEvents = {
	["Druid:Caster Form"] = {
		["trigger"] = "PLAYER_AURAS_CHANGED",
		["delay"] = 0,
		["script"] = "if not ItemRack_GetForm() and IR_FORM then EquipSet() IR_FORM=nil end --[[Equip a set when not in an animal form.]]",
	},
	["Druid:Aquatic Form"] = {
		["trigger"] = "PLAYER_AURAS_CHANGED",
		["delay"] = 0,
		["script"] = "local form=ItemRack_GetForm() if form==\"Aquatic Form\" and IR_FORM~=form then EquipSet() IR_FORM=form end --[[Equip a set when in aquatic form.]]",
	},
	["Druid:Moonkin Form"] = {
		["trigger"] = "PLAYER_AURAS_CHANGED",
		["delay"] = 0,
		["script"] = "local form=ItemRack_GetForm() if form==\"Moonkin Form\" and IR_FORM~=form then EquipSet() IR_FORM=form end --[[Equip a set when in moonkin form.]]",
	},
	["Insignia Used"] = {
		["trigger"] = "ITEMRACK_ITEMUSED",
		["delay"] = 0.5,
		["script"] = "if arg1==\"Insignia of the Alliance\" or arg1==\"Insignia of the Horde\" then EquipSet() end --[[Equips a set when the Insignia of the Alliance/Horde has been used.]]",
	},
	["Plaguelands"] = {
		["trigger"] = "ZONE_CHANGED_NEW_AREA",
		["delay"] = 1,
		["script"] = "local zone = GetRealZoneText(),0\nif (zone==\"Western Plaguelands\" or zone==\"Eastern Plaguelands\" or zone==\"Scholomance\" or zone==\"Stratholme\") and not IR_PLAGUE then\n    EquipSet() IR_PLAGUE=1\nelseif IR_PLAGUE then\n    LoadSet() IR_PLAGUE=nil\nend\n--[[Equips set to be worn while in plaguelands.]]",
	},
	["Druid:Cat Form"] = {
		["trigger"] = "PLAYER_AURAS_CHANGED",
		["delay"] = 0,
		["script"] = "local form=ItemRack_GetForm() if form==\"Cat Form\" and IR_FORM~=form then EquipSet() IR_FORM=form end --[[Equip a set when in cat form.]]",
	},
	["Low Mana"] = {
		["trigger"] = "UNIT_MANA",
		["delay"] = 0.5,
		["script"] = "local mana = UnitMana(\"player\") / UnitManaMax(\"player\")\nif mana < .5 and not IR_OOM then\n  SaveSet()\n  EquipSet()\n  IR_OOM = 1\nelseif IR_OOM and mana > .75 then\n  LoadSet()\n  IR_OOM = nil\nend\n--[[Equips a set when mana is below 50% and re-equips previous gear at 75% mana. Remember: You can't swap non-weapons in combat.]]",
	},
	["Rogue:Stealth"] = {
		["trigger"] = "PLAYER_AURAS_CHANGED",
		["delay"] = 0,
		["script"] = "local _,_,isActive = GetShapeshiftFormInfo(1)\nif isActive and not IR_FORM then\n  EquipSet() IR_FORM=1\nelseif not isActive and IR_FORM then\n  LoadSet() IR_FORM=nil\nend\n--[[Equips set to be worn while stealthed.]]",
	},
	["Mage:Evocation"] = {
		["trigger"] = "ITEMRACK_BUFFS_CHANGED",
		["delay"] = 0.25,
		["script"] = "local evoc=arg1[\"Interface\\\\Icons\\\\Spell_Nature_Purge\"]\nif evoc and not IR_EVOC then\n  EquipSet() IR_EVOC=1\nelseif not evoc and IR_EVOC then\n  LoadSet() IR_EVOC=nil\nend\n--[[Equips a set to wear while channeling Evocation.]]",
	},
	["Warrior:Berserker"] = {
		["trigger"] = "PLAYER_AURAS_CHANGED",
		["delay"] = 0,
		["script"] = "local _,_,isActive = GetShapeshiftFormInfo(3) if isActive and IR_FORM~=\"Berserker\" then EquipSet() IR_FORM=\"Berserker\" end --[[Equips set to be worn in Berserker stance.]]",
	},
	["Druid:Bear Form"] = {
		["trigger"] = "PLAYER_AURAS_CHANGED",
		["delay"] = 0,
		["script"] = "local form = ItemRack_GetForm()\nif (form==\"Dire Bear Form\" or form==\"Bear Form\") and IR_FORM~=\"Bear Form\" then EquipSet() IR_FORM=\"Bear Form\" end --[[Equip a set when in bear form.]]",
	},
	["Priest:Spirit Tap Begin"] = {
		["trigger"] = "PLAYER_REGEN_ENABLED",
		["delay"] = 0.25,
		["script"] = "local found=ItemRack.Buffs[\"Interface\\\\Icons\\\\Spell_Shadow_Requiem\"]\nif not IR_SPIRIT and found then\nEquipSet() IR_SPIRIT=1\nend\n--[[Equips a set when you leave combat with Spirit Tap. Associate a set of spirit gear to this event.]]",
	},
	["Priest:Spirit Tap End"] = {
		["trigger"] = "ITEMRACK_BUFFS_CHANGED",
		["delay"] = 0.5,
		["script"] = "local found=arg1[\"Interface\\\\Icons\\\\Spell_Shadow_Requiem\"]\nif IR_SPIRIT and not found then\nLoadSet() IR_SPIRIT = nil\nend\n--[[Returns to normal gear when Spirit Tap ends. Associate the same spirit set as Spirit Tap Begin.]]",
	},
	["Warrior:Battle"] = {
		["trigger"] = "PLAYER_AURAS_CHANGED",
		["delay"] = 0,
		["script"] = "local _,_,isActive = GetShapeshiftFormInfo(1) if isActive and IR_FORM~=\"Battle\" then EquipSet() IR_FORM=\"Battle\" end --[[Equips set to be worn in battle stance.]]",
	},
	["Skinning"] = {
		["trigger"] = "UPDATE_MOUSEOVER_UNIT",
		["delay"] = 0,
		["script"] = "if UnitIsDead(\"mouseover\") and GameTooltipTextLeft3:GetText()==UNIT_SKINNABLE then\n  local r,g,b = GameTooltipTextLeft3:GetTextColor()\n  if r>.9 and g<.2 and b<.2 and not IR_SKIN then\n    EquipSet() IR_SKIN=1\n  end\nelseif IR_SKIN then\n  LoadSet() IR_SKIN=nil\nend\n--[[Equips a set when you mouseover something that can be skinned but you have insufficient skill.]]\n",
	},
	["Warrior:Overpower End"] = {
		["trigger"] = "CHAT_MSG_COMBAT_SELF_MISSES",
		["delay"] = 5,
		["script"] = "--[[Equip a set five seconds after opponent dodged: your normal weapons. ]]\nif IR_OVERPOWER==1 then\nEquipSet()\nIR_OVERPOWER=nil\nend",
	},
	["Druid:Travel Form"] = {
		["trigger"] = "PLAYER_AURAS_CHANGED",
		["delay"] = 0,
		["script"] = "local form=ItemRack_GetForm() if form==\"Travel Form\" and IR_FORM~=form then EquipSet() IR_FORM=form end --[[Equip a set when in travel form.]]",
	},
	["Mount"] = {
		["trigger"] = "PLAYER_AURAS_CHANGED",
		["delay"] = 0,
		["script"] = "local mount\nif UnitIsMounted then mount = UnitIsMounted(\"player\") else mount = ItemRack_PlayerMounted() end\nif not IR_MOUNT and mount then\n  EquipSet()\nelseif IR_MOUNT and not mount then\n  LoadSet()\nend\nIR_MOUNT=mount\n--[[Equips set to be worn while mounted.]]",
	},
	["Swimming"] = {
		["trigger"] = "MIRROR_TIMER_START",
		["delay"] = 0,
		["script"] = "local i,found\nfor i=1,3 do\n  if getglobal(\"MirrorTimer\"..i):IsVisible() and getglobal(\"MirrorTimer\"..i..\"Text\"):GetText() == BREATH_LABEL then\n    found = 1\n  end\nend\nif found then\n  EquipSet()\nend\n--[[Equips a set when the breath gauge appears. NOTE: This will not re-equip gear when you leave water.  There's no reliable way to know when you leave water. Also note: Won't work with eCastingBar.]]",
	},
	["Eating-Drinking"] = {
		["trigger"] = "ITEMRACK_BUFFS_CHANGED",
		["delay"] = 0,
		["script"] = "local found=arg1[\"Interface\\\\Icons\\\\INV_Misc_Fork&Knife\"] or arg1[\"Drink\"]\nif not IR_DRINK and found then\nEquipSet() IR_DRINK=1\nelseif IR_DRINK and not found then\nLoadSet() IR_DRINK=nil\nend\n--[[Equips a set while eating or drinking.]]",
	},
	["Warrior:Defensive"] = {
		["trigger"] = "PLAYER_AURAS_CHANGED",
		["delay"] = 0,
		["script"] = "local _,_,isActive = GetShapeshiftFormInfo(2) if isActive and IR_FORM~=\"Defensive\" then EquipSet() IR_FORM=\"Defensive\" end --[[Equips set to be worn in Defensive stance.]]",
	},
	["Insignia"] = {
		["trigger"] = "ITEMRACK_NOTIFY",
		["delay"] = 0,
		["script"] = "if arg1==\"Insignia of the Alliance\" or arg1==\"Insignia of the Horde\" then EquipSet() end --[[Equips a set when the Insignia of the Alliance/Horde finishes cooldown.]]",
	},
	["Priest:Shadowform"] = {
		["trigger"] = "ITEMRACK_BUFFS_CHANGED",
		["delay"] = 0,
		["script"] = "local f=arg1[\"Interface\\\\Icons\\\\Spell_Shadow_Shadowform\"]\nif not IR_Shadowform and f then\n  EquipSet() IR_Shadowform=1\nelseif IR_Shadowform and not f then\n  LoadSet() IR_Shadowform=nil\nend\n--[[Equips a set while under Shadowform]]",
	},

	["Warrior:Overpower Begin"] = {
		["trigger"] = "CHAT_MSG_COMBAT_SELF_MISSES",
		["delay"] = 0,
		["script"] = "--[[Equip a set when the opponent dodges.  Associate a heavy-hitting 2h set with this event. ]]\nlocal _,_,i = GetShapeshiftFormInfo(1)\nif string.find(arg1 or \"\",\"^You.+dodge[sd]\") and i then\nEquipSet()\nIR_OVERPOWER=1\nend",
	},
	["About Town"] = {
		["trigger"] = "PLAYER_UPDATE_RESTING",
		["delay"] = 0,
		["script"] = "if IsResting() and not IR_TOWN then EquipSet() IR_TOWN=1 elseif IR_TOWN then LoadSet() IR_TOWN=nil end\n--[[Equips a set while in a city or inn.]]"
	}
}
-- 우리말 작업
-- damjau

if (GetLocale() == "koKR") then

	ItemRackText.INVTYPE_CONTAINER = "가방"
	ItemRackText.MOUNTCHECK = "이동 속도 ([60%%|100%%]*)만큼 증가"

	ItemRackText.BINDINGFORMAT = "장비 세트: %s"
	ItemRackText.BINDINGSEARCH = "장비 세트: (.+)"
	ItemRackText.MaxKeyBindings = 10
	BINDING_HEADER_ItemRack = "ItemRack"
	BINDING_NAME_EQUIPSET1 = "장비 세트: 1" 
	BINDING_NAME_EQUIPSET2 = "장비 세트: 2"
	BINDING_NAME_EQUIPSET3 = "장비 세트: 3"
	BINDING_NAME_EQUIPSET4 = "장비 세트: 4"
	BINDING_NAME_EQUIPSET5 = "장비 세트: 5"
	BINDING_NAME_EQUIPSET6 = "장비 세트: 6"
	BINDING_NAME_EQUIPSET7 = "장비 세트: 7"
	BINDING_NAME_EQUIPSET8 = "장비 세트: 8"
	BINDING_NAME_EQUIPSET9 = "장비 세트: 9"
	BINDING_NAME_EQUIPSET10 = "장비 세트: 10"



	ItemRackText.CONTROL_ROTATE_TEXT = "순환"
	ItemRackText.CONTROL_ROTATE_tooltip	= "아이템바를 수평과 수직중에서 위치에 따라서 번갈아가면서 선택합니다."
	ItemRackText.CONTROL_LOCK_TEXT = "잠금"
	ItemRackText.CONTROL_LOCK_TOOLTIP = "창을 잠그거나 풉니다. 잠글 경우에는 아이템 바에서 ALT키를 누른상태에서 마우스로 선택할 수 있습니다."
	ItemRackText.CONTROL_OPTIONS_TEXT = "설정"
	ItemRackText.CONTROL_OPTIONS_TOOLTIP = "ItemRack 설정을 변경합니다."
	ItemRackText.OPT_TOOLTIPFOLLOW_TEXT = "마우스 위치에 툴팁"
	ItemRackText.OPT_TOOLTIPFOLLOW_TOOLTIP = "기본 위치 대신에 마우스를 따라서 툴팁을 만듭니다."
	ItemRackText.OPT_COOLDOWNNUMBERS_TEXT = "쿨다운"
	ItemRackText.OPT_COOLDOWNNUMBERS_TOOLTIP = "아이템의 재사용대기시간을 표시합니다."
	ItemRackText.OPT_SOULBOUND_TEXT = "거래가능 숨기기"
	ItemRackText.OPT_SOULBOUND_TOOLTIP = "귀속/퀘스트/창조 아이템만 표시됩니다. 착용시 귀속 및 거래가능한 아이템은 슬롯에 나타나지 않습니다."
	ItemRackText.OPT_BINDINGS_TEXT = "단축키 보이기"
	ItemRackText.OPT_BINDINGS_TOOLTIP = "바에 단축키를 표시합니다."
	ItemRackText.OPT_MENUSHIFT_TEXT = "Shift 사용"
	ItemRackText.OPT_MENUSHIFT_TOOLTIP = "Shift 키를 누른 상태에서만 메뉴를 표시합니다."
	ItemRackText.OPT_CLOSE_TEXT = "닫기"
	ItemRackText.OPT_CLOSE_TOOLTIP = "설정창을 닫습니다. ItemRack을 완전히 닫기 위해서는 모든 아이템에서 바를 제거하거나 /itemrack를 입력하세요."
	ItemRackText.INVFRAME_RESIZE_TEXT = "크기조절"
	ItemRackText.INVFRAME_RESIZE_TOOLTIP = "창의 오른쪽 모서리를 드래그 해서 창의 크기를 조절할 수 있습니다."
	ItemRackText.OPT_SHOWEMPTY_TEXT = "빈 슬롯 사용"
	ItemRackText.OPT_SHOWEMPTY_TOOLTIP = "체크하면 교체 항목 중 빈 슬롯을 추가합니다. 만약 빈 슬롯을 선택하면 아이템은 가방 안으로 들어갑니다. 빈 슬롯은 대기열에 추가되지 않습니다. 만약 장신구 메뉴를 체크했다면 장신구에는 빈 슬롯이 보이지 않습니다."
	ItemRackText.OPT_FLIPMENU_TEXT = "메뉴 열기"
	ItemRackText.OPT_FLIPMENU_TOOLTIP = "메뉴는 기본적으로 화면의 중앙부분을 향해서 생성됩니다. 선택하면 자동적으로 반대 방향을 향해서 생성됩니다."
	ItemRackText.OPT_RIGHTCLICK_TEXT = "장신구 메뉴 모드"
	ItemRackText.OPT_RIGHTCLICK_TOOLTIP = "선택하면 장신구를 좌클릭시 1번 장신구 칸으로 우클릭시 2번 장신구 칸으로 보냅니다."
	ItemRackText.OPT_TINYTOOLTIP_TEXT = "작은 툴팁 사용"
	ItemRackText.OPT_TINYTOOLTIP_TOOLTIP = "선택하면 아이템의 이름과 내구도와 재사용 시간만 보여줍니다."
	ItemRackText.OPT_SHOWTOOLTIPS_TEXT = "툴팁 표시"
	ItemRackText.OPT_SHOWTOOLTIPS_TOOLTIP = "툴팁을 보여줍니다."
	ItemRackText.OPT_NOTIFY_TEXT = "준비시 알림"
	ItemRackText.OPT_NOTIFY_TOOLTIP = "아이템의 재사용대기 시간이 끝나면 알려줍니다."
	ItemRackText.OPT_ROTATEMENU_TEXT = "메뉴 순환"
	ItemRackText.OPT_ROTATEMENU_TOOLTIP = "기본으로는 아이템바를 수직으로 확장합니다. 선택하면 아이템바를 수평으로 확장합니다."
	ItemRackText.OPT_SHOWICON_TEXT = "미니맵 버튼"
	ItemRackText.OPT_SHOWICON_TOOLTIP = "선택하면 미니맵 주변에 설정창과 세트 설정창을 열 수 있는 버튼을 표시합니다."
	ItemRackText.OPT_DISABLETOGGLE_TEXT = "토글 분리"
	ItemRackText.OPT_DISABLETOGGLE_TOOLTIP = "기본은 좌클릭시 바 토글, 우클릭시 설정창 토글입니다. 선택하면 좌클릭시 세트 설정 토글, 우클릭시 설정창 토글입니다."
	ItemRackText.OPT_FLIPBAR_TEXT = "바 생성방향"
	ItemRackText.OPT_FLIPBAR_TOOLTIP = "바는 기본적으로 아래나 오른쪽으로 확장됩니다. 선택하면 왼쪽이나 위쪽으로 확장됩니다."
	ItemRackText.OPT_ENABLEEVENTS_TEXT = "이벤트 사용"
	ItemRackText.OPT_ENABLEEVENTS_TOOLTIP = "선택하면 자동으로 미리 선택된 이벤트에 맞춰 아이템을 갈아입습니다.\n\nIn 이벤트는 매크로와 마찬가지로 UI에서 작동하는 방식으로 실행됩니다."
	ItemRackText.OPT_SHOWALLEVENTS_TEXT = "모두보기"
	ItemRackText.OPT_SHOWALLEVENTS_TOOLTIP = "모든 클래스의 이벤트를 표시합니다.\n\n체크하지 않으면 다른 클래스의 이벤트가 표시되는 것을 막습니다."
	ItemRackText.OPT_COMPACTLIST_TEXT = "컴팩트"
	ItemRackText.OPT_COMPACTLIST_TOOLTIP = "세트의 목록을 좀더 작은 형태로 표시합니다."
	ItemRackText.OPT_SAVEDSETSCLOSE_TEXT = "취소"
	ItemRackText.OPT_SAVEDSETSCLOSE_TOOLTIP = "세트 선택을 취소합니다."
	ItemRackText.OPT_NOTIFYTHIRTY_TEXT = "30초 전에 알림"
	ItemRackText.OPT_NOTIFYTHIRTY_TOOLTIP = "아이템 재사용시간이 끝날 때가 아닌 30초 전에 알려줍니다."
	ItemRackText.OPT_ALLOWHIDDEN_TEXT = "메뉴 아이템 숨김 사용"
	ItemRackText.OPT_ALLOWHIDDEN_TOOLTIP = "메뉴의 아이템을 Alt 클릭으로 숨길 수 있습니다.  숨긴 아이템을 다시 표시하기 위해서는, Alt 키를 누른 상태에서 바에 마우스를 가져간후 숨겨진 아이템을 Alt 클릭 하시면 됩니다."
	ItemRackText.OPT_LARGEFONT_TEXT = "큰 글씨"
	ItemRackText.OPT_LARGEFONT_TOOLTIP = "스크립티 편집 창에서 큰 글씨를 사용할 수 있습니다."
	ItemRackText.OPT_SQUAREMINIMAP_TEXT = "사각형 미니맵"
	ItemRackText.OPT_SQUAREMINIMAP_TOOLTIP = "미니맵 버튼을 드래그 해서 사각형 형태의 미니맵 주변으로 이동시킬 수 있습니다."
	ItemRackText.OPT_BIGCOOLDOWN_TEXT = "큰 재사용대기시간"
	ItemRackText.OPT_BIGCOOLDOWN_TOOLTIP = "체크하면 재사용대기시간을 큰 글씨로 보여줍니다."
	ItemRackText.OPT_SETLABELS_TEXT = "세트 아이콘 이름 표시"
	ItemRackText.OPT_SETLABELS_TOOLTIP = "설정 하면 세트 아이콘이 세트명을 표시합니다."
	ItemRackText.OPT_AUTOTOGGLE_TEXT = "자동 세트 전환"
	ItemRackText.OPT_AUTOTOGGLE_TOOLTIP = "Check this to make chosing a set always toggle it: If equipped it will revert to gear it replaced. If unequipped it will equip the set.\nThis is the same as choosing a set while Shift is held.\nNote: This behavior does not happen while in combat or dead, since it can't be sure what you're going to wear in the future."

	ItemRackText.SETS_CLOSE_TEXT = "세트 설정 닫기"
	ItemRackText.SETS_CLOSE_TOOLTIP = "세트 설정을 닫습니다. ItemRack을 완전히 닫기위해서는 아이템에서 바를 제거하거나 /itemrack를 입력하세요."
	ItemRackText.SETS_NAMELABEL_TEXT = "세트의 이름과 아이콘을 선택:"
	ItemRackText.SETS_HIDESET_TEXT = "숨김"
	ItemRackText.SETS_HIDESET_TOOLTIP = "체크하면 이 셋트는 팝업메뉴로 나타나지 않을 것입니다."
	ItemRackText.SETS_BINDBUTTON_TEXT = "단축키"
	ItemRackText.SETS_BINDBUTTON_TOOLTIP = "이 세트의 단축키를 지정합니다."
	ItemRackText.SETS_SAVEBUTTON_TEXT = "저장"
	ItemRackText.SETS_SAVEBUTTON_TOOLTIP = "현재 세트를 저장합니다. 단축키를 제외하고는 저장을 하기 전까지는 기존의 세트의 정보를 변경하지 않습니다."
	ItemRackText.SETS_REMOVEBUTTON_TEXT = "제거"
	ItemRackText.SETS_REMOVEBUTTON_TOOLTIP = "이 세트를 제거합니다. 세트를 보존하면서 메뉴에서 보이지 않게 하기 위해서는 세트의 아이콘을 숨긴다음에 저장하세요."
	ItemRackText.SETS_LOADBUTTON_TEXT = "착용"
	ItemRackText.SETS_LOADBUTTON_TOOLTIP = "선택된 세트를 착용합니다."

	ItemRackText.READY = "%s 사용가능!"
	ItemRackText.READYTHIRTY = "%s 사용가능 30초 전!"
	ItemRackText.QUEUED = "대기: %s"
	ItemRackText.SAVED = "%s 세트에 %d 개의 아이템을 저장합니다."
	ItemRackText.BINDCLEAR = "이 세트의 단축키가 삭제되었습니다."
	ItemRackText.BINDSET = "이 세트의 단축키가 %s로 설정되었습니다."

	ItemRackText.ERROR_MISSING = "ItemRack: 아이템을 찾을 수 없습니다: "
	ItemRackText.ERROR_NOROOM = "ItemRack: 교체할 빈 공간이 없습니다."

	ItemRackText.COUNTFORMAT = "%s 슬롯"
	ItemRackText.NOSAVEDSETS = "저장되지 않은 세트."
	ItemRackText.SETTOOLTIPFORMAT = "세트: %s"
	ItemRackText.SETREMOVE = "세트: %s 이 지워졌습니다.."
	ItemRackText.EMPTYSET = ""
	ItemRackText.SETTOOLTIPCOUNT = "%s 아이템"
	ItemRackText.SETTOOLTIPMISSING = "%s 찾을 수 없음"
	ItemRackText.EVENTSSUSPENDED = "주의: 이벤트가 중지되었습니다.\n이 창을 위로 올리는 중입니다."

	ItemRackText.UNDEFINEDEVENT_TEXT = "미정의됨"
	ItemRackText.UNDEFINEDEVENT_TOOLTIP = "이 이벤트에 해당하는 아이템이 미정의 되었습니다.  해당 이벤트에 대해서 여러 세트를 적용하도록 할 수 있지만 실제 사용하기 위해서는 모든 이벤트는 한 이벤트에 대해서 하나의 세트를 연결시켜야 합니다."
	ItemRackText.ENABLEEVENT_TEXT = "이벤트 사용"
	ItemRackText.ENABLEEVENT_TOOLTIP = "이 이벤트를 사용합니다. 선택하지 않으면 사용하지 않습니다. '이벤트 사용'을 선택/해지 함으로써 모든 이벤트를 켜거나 끌 수 있습니다."

	ItemRackText.EVENTSDELETE_TEXT = "이벤트 삭제"
	ItemRackText.EVENTSDELETE_TOOLTIP = "이 이벤트를 삭제합니다.  만약 이 이벤트를 사용하는 다른 캐릭터가 있다면, 이 케릭터에 대하여만 비정의된 상태로 변경될 것입니다."
	ItemRackText.EVENTSEDIT_TEXT = "이벤트 수정"
	ItemRackText.EVENTSEDIT_TOOLTIP = "이벤트를 수정합니다.\n\nlua나 WoW 매크로에 대한 몇가지 지식만 있다면 이벤트를 수정할 수 있습니다.\n\n이벤트를 수정해서 세트를 연결시키지는 않습니다.  세트를 연결시키기 위해서는 세트의 아이콘을 클릭하면 됩니다."
	ItemRackText.EVENTSNEW_TEXT = "새 이벤트"
	ItemRackText.EVENTSNEW_TOOLTIP = "새로운 이벤트를 저장합니다.\n\nlua나 WoW 매크로에 대한 몇가지 지식만 있다면 이벤트를 만들 수 있습니다."

	ItemRackText.EVENTSSAVE_TEXT = "이벤트 저장"
	ItemRackText.EVENTSSAVE_TOOLTIP = "이벤트를 저장합니다.  완성되지 않은 이벤트도 저장은 가능하지만 세트와 연결하여 사용할 수는 없습니다.\n\n만약 이미 존재하는 이벤트의 이름을 변경하고 싶다면 , 복사를 하시면 됩니다."
	ItemRackText.EVENTSTEST_TEXT = "테스트"
	ItemRackText.EVENTSTEST_TOOLTIP = "지금 이벤트가 제대로 작동하는지 시험해봅니다. 오류창을 생성하는 구문상의 오류나 기타 오류를 확인 할 수 있습니다. 테스트를 하더라도 트리거에 대하여 원하는 결과가 나온다고 장담할 수는 없습니다."
	ItemRackText.EVENTSCANCEL_TEXT = "목록으로.."
	ItemRackText.EVENTSCANCEL_TOOLTIP = "변경된 사항을 저장하지 않고 이벤트 목록으로 돌아갑니다."
	ItemRackText.EVENTNAME_TEXT = "이벤트 명"
	ItemRackText.EVENTNAME_TOOLTIP = "이전의 이벤트 목록에 보여질 이벤트의 이름을 작성합니다.  예, \"탑승\", \"전사:광폭 태세\", 등등\n\n직업명:의 접두어를 붙이면 해당 클래스가 아닐 경우 '모두 보기'를 선택해야 볼 수 있습니다, 예, \"사제:어둠의 형상\""
	ItemRackText.EVENTTRIGGER_TEXT = "이벤트 작동"
	ItemRackText.EVENTTRIGGER_TOOLTIP = "원하는 WOW상의 이벤트에 대하여 트리거를 작동시킵니다.\n\n사용가능한 것들:\nPLAYER_AURAS_CHANGED : 버프나 태세,변신 시.\nPLAYER_REGEN_DISABLED : 전투 시작.\nPLAYER_REGEN_ENABLED : 전투 종료.\n\nwww.wowwiki.com/Events 에서 모든 이벤트들을 볼 수 있습니다."
	ItemRackText.EVENTDELAY_TEXT = "이벤트 지연시간"
	ItemRackText.EVENTDELAY_TOOLTIP = "여기에 입력된 시간은(초 단위) 이벤트가 실행된 위에 입력된 시간 만큼 경과후에 세트를 착용하도록 합니다. 0을 입력하면 이벤트 발생 직후 작동합니다. 몇몇 트리거는 BAG_UPDATE와 같은 이벤트에 반응할 경우 몇 초의 간격이 필요합니다.  지연시간은 트리거가 작동한 후 한 번만 적용됩니다."

	ItemRackText.RESETBUTTON_TEXT = "메뉴위치 & 이벤트 초기화"
	ItemRackText.RESETBUTTON_TOOLTIP = "창이 화면상에서 사라지거나 너무 작게 되었을 경우 사용하면 창의 위치와 크기, 그리고 이벤트를 초기 상태로 복구합니다. 세트, 바에 올라가 있는 아이템은 영향받지 않습니다."
	ItemRackText.BINDSLOTS_TEXT = "단축 슬롯"
	ItemRackText.BINDSLOTS_TOOLTIP = "이 버튼을 클릭하면 각 착용 슬롯에 대해 단축키를 설정할 수 있습니다."

	ItemRackText.DisableToggleText = {
		["ON"] = "좌클릭: 세트 목록\n우클릭: 설정 토글\n드래그: 아이콘 이동",
		["OFF"] = "좌클릭: 바 토글\n우클릭: 세트/설정 토글\n드래그: 아이콘 이동"
	}
	ItemRackText.HELP = "** NOTE: 이 버전에는 알파 버전의 특정 코드를 포함하고 있습니다. 이를 수정해서 NDA를 위반하지 말아주세요. **\n\n이 애드온은 장비 교환을 좀 더 쉽게 도와 줍니다. 아이템 바에 장비슬롯을 추가할 수 있습니다. 아이템 바에 마우스를 올려 놓으면 해당 슬롯에 착용할 수 있는 가방 안의 모든 아이템을 표시합니다.\n\n미니맵 버튼을 움직이기 위해서는 원하는 위치로 드래그 하시면 됩니다.\n\n설정 방법:\n1. 캐릭터창 열기. (C키가 단축키입니다)\n2. 캐릭터창의 슬롯을 Alt 클릭하면 슬롯을 아이템바에 추가할 수 있습니다.\n3. 캐릭터 창에 캐릭터를 Alt 클릭하면 바에 세트를 추가할 수 있습니다.\n4. Alt 클릭으로 슬롯/세트를 제거할 수 있습니다.\n\n사용법:\n슬롯에 마우스를 올려 놓으면 슬롯에 들어 갈 수 있는 가방 안의 모든 아이템을 보여주는 바가 나타납니다.\n목록의 아이템을 클릭하면 해당 아이템을 착용합니다.\n바에 있는 아이템이 사용가능하다면 클릭하여 사용할 수 있습니다.\n\n세트 생성:\n1. 애드온의 슬롯을 클릭해서 저장할 슬롯을 선택합니다.\n2. 강조된 슬롯은 세트로 저장되고, 어두운 슬롯은 저장되지 않습니다.\n3. 필요하다면 이 세트의 원하는 부분을 교체하여 저장할 수 있습니다.\n4. 세트 창의 맨 위에 세트의 이름을 입력합니다.\n5. 아이콘을 선택합니다.\n6. 저장을 누릅니다.\n\n세트를 사용하기 위한 그 밖의 사항:\n- '단축키' 버튼을 눌러서 단축키를 설정합니다.\n- 바에서 아이템을 교체합니다..\n- /script EquipSet(\"세트명\")라는 매크로를 사용할 수도 있습니다."


	ItemRack_DefaultEvents = {
		["드루이드:인간형"] = {
			["trigger"] = "PLAYER_AURAS_CHANGED",
			["delay"] = 0,
			["script"] = "if not ItemRack_GetForm() and IR_FORM then EquipSet() IR_FORM=nil end --[[드루이드의 미변신시에 착용할 아이템입니다.]]",
		},
		["드루이드:바다표범 변신"] = {
			["trigger"] = "PLAYER_AURAS_CHANGED",
			["delay"] = 0,
			["script"] = "local form=ItemRack_GetForm() if form==\"바다표범 변신\" and IR_FORM~=form then EquipSet() IR_FORM=form end --[[바다표범 변신시에 착용할 아이템 세트입니다.]]",
		},
		["드루이드:달빛야수 변신"] = {
			["trigger"] = "PLAYER_AURAS_CHANGED",
			["delay"] = 0,
			["script"] = "local form=ItemRack_GetForm() if form==\"달빛야수 변신\" and IR_FORM~=form then EquipSet() IR_FORM=form end --[[달빛야수 변신 시에착용할 아이템입니다.]]",
		},
		["계급장 사용후"] = {
			["trigger"] = "ITEMRACK_ITEMUSED",
			["delay"] = 0.5,
			["script"] = "if arg1==\"얼라이언스 계급장\" or arg1==\"호드 계급장\" then EquipSet() end --[[얼라이언스/호드 계급장을 사용한 후에 착용할 아이템 입니다.]]",
		},
		["대지의 격동 사용후"] = {
			["trigger"] = "ITEMRACK_ITEMUSED",
			["delay"] = 20,
			["script"] = "if arg1==\"대지의 격동\" then EquipSet() end --[[대지의 격동을 사용한 후에 착용할 아이템 입니다.]]",
		},
		["역병지대"] = {
			["trigger"] = "ZONE_CHANGED_NEW_AREA",
			["delay"] = 1,
			["script"] = "local zone = GetRealZoneText(),0\nif (zone==\"서부 역병지대\" or zone==\"동부 역병지대\" or zone==\"스칼로맨스\" or zone==\"스트라솔룸\") and not IR_PLAGUE then\n    EquipSet() IR_PLAGUE=1\nelseif IR_PLAGUE then\n    LoadSet() IR_PLAGUE=nil\nend\n--[[역벙지대에서 착용할 세트입니다.]]",
		},
		["드루이드:표범 변신"] = {
			["trigger"] = "PLAYER_AURAS_CHANGED",
			["delay"] = 0,
			["script"] = "local form=ItemRack_GetForm() if form==\"표범 변신\" and IR_FORM~=form then EquipSet() IR_FORM=form end --[[표범 변신시 착용할 아이템 입니다.]]",
		},
		["마나 낮음"] = {
			["trigger"] = "UNIT_MANA",
			["delay"] = 0.5,
			["script"] = "local mana = UnitMana(\"player\") / UnitManaMax(\"player\")\nif mana < .5 and not IR_OOM then\n  SaveSet()\n  EquipSet()\n  IR_OOM = 1\nelseif IR_OOM and mana > .75 then\n  LoadSet()\n  IR_OOM = nil\nend\n--[[마나가 50%이하가 될 때 착용하고 75%이상이 되면 기존의 아이템으로 갈아 입습니다. 주의: 전투 중에는 무기만 변경됩니다.]]",
		},
		["도적:은신"] = {
			["trigger"] = "PLAYER_AURAS_CHANGED",
			["delay"] = 0,
			["script"] = "local _,_,isActive = GetShapeshiftFormInfo(1)\nif isActive and not IR_FORM then\n  EquipSet() IR_FORM=1\nelseif not isActive and IR_FORM then\n  LoadSet() IR_FORM=nil\nend\n--[[은신 중에 착용할 아이템 입니다.]]",
		},
		["마법사:환기"] = {
			["trigger"] = "ITEMRACK_BUFFS_CHANGED",
			["delay"] = 0.25,
			["script"] = "local evoc=arg1[\"Interface\\\\Icons\\\\Spell_Nature_Purge\"]\nif evoc and not IR_EVOC then\n  EquipSet() IR_EVOC=1\nelseif not evoc and IR_EVOC then\n  LoadSet() IR_EVOC=nil\nend\n--[[환기 사용 중에 착용할 아이템 입니다.]]",
		},
		["전사:광폭 태세"] = {
			["trigger"] = "PLAYER_AURAS_CHANGED",
			["delay"] = 0,
			["script"] = "local _,_,isActive = GetShapeshiftFormInfo(3) if isActive and IR_FORM~=\"광폭 태세\" then EquipSet() IR_FORM=\"광폭 태세\" end --[[광폭 태세 시에 착용할 아이템 입니다.]]",
		},
		["드루이드:곰 변신"] = {
			["trigger"] = "PLAYER_AURAS_CHANGED",
			["delay"] = 0,
			["script"] = "local form = ItemRack_GetForm()\nif (form==\"광포한 곰 변신\" or form==\"곰 변신\") and IR_FORM~=\"곰 변신\" then EquipSet() IR_FORM=\"Bear Form\" end --[[곰변신 시에 착용할 아이템입니다.]]",
		},
		["사제:정신력 누출 시작"] = {
			["trigger"] = "PLAYER_REGEN_ENABLED",
			["delay"] = 0.25,
			["script"] = "local found=ItemRack.Buffs[\"Interface\\\\Icons\\\\Spell_Shadow_Requiem\"]\nif not IR_SPIRIT and found then\nEquipSet() IR_SPIRIT=1\nend\n--[[정신력 누출 버프가 걸려 있고 전투가 종료시 착용할 아이템입니다. 이 이벤트에는 정신력이 높은 아이템을 착용하세요.]]",
		},
		["사제:정신력 누출 끝"] = {
			["trigger"] = "ITEMRACK_BUFFS_CHANGED",
			["delay"] = 0.5,
			["script"] = "local found=arg1[\"Interface\\\\Icons\\\\Spell_Shadow_Requiem\"]\nif IR_SPIRIT and not found then\nLoadSet() IR_SPIRIT = nil\nend\n--[[정신력 누출의 지속시간이 끝났을 때 착용할 아이템 세트 입니다. 정신력 누출 시작과 동일한 정신력 세트를 연결하세요.]]",
		},
		["전사:전투 태세"] = {
			["trigger"] = "PLAYER_AURAS_CHANGED",
			["delay"] = 0,
			["script"] = "local _,_,isActive = GetShapeshiftFormInfo(1) if isActive and IR_FORM~=\"전투 태세\" then EquipSet() IR_FORM=\"전투 태세\" end --[[전투 태세를 취했을 때 착용할 아이템 입니다.]]",
		},
		["무두질"] = {
			["trigger"] = "UPDATE_MOUSEOVER_UNIT",
			["delay"] = 0,
			["script"] = "if UnitIsDead(\"mouseover\") and GameTooltipTextLeft3:GetText()==UNIT_SKINNABLE then\n  local r,g,b = GameTooltipTextLeft3:GetTextColor()\n  if r>.9 and g<.2 and b<.2 and not IR_SKIN then\n    EquipSet() IR_SKIN=1\n  end\nelseif IR_SKIN then\n  LoadSet() IR_SKIN=nil\nend\n--[[무두질 가능하지만 숙련도가 모자랄 경우에 갈아 입는 아이템 세트 입니다.]]\n",
		},
		["전사:제압 끝"] = {
			["trigger"] = "CHAT_MSG_COMBAT_SELF_MISSES",
			["delay"] = 5,
			["script"] = "--[[대상이 회피 후 5초후에 착용할 아이템 입니다: 평상시 무기로 갈아 입습니다. ]]\nif IR_OVERPOWER==1 then\nEquipSet()\nIR_OVERPOWER=nil\nend",
		},
		["드루이드:치타 변신"] = {
			["trigger"] = "PLAYER_AURAS_CHANGED",
			["delay"] = 0,
			["script"] = "local form=ItemRack_GetForm() if form==\"치타 변신\" and IR_FORM~=form then EquipSet() IR_FORM=form end --[[치타 변신 시 착용할 아이템 세트 입니다.]]",
		},
		["박차"] = {
			["trigger"] = "PLAYER_AURAS_CHANGED",
			["delay"] = 0,
			["script"] = "local mount\nif UnitIsMounted then mount = UnitIsMounted(\"player\") else mount = ItemRack_PlayerMounted() end\nif not IR_MOUNT and mount then\n  EquipSet()\nelseif IR_MOUNT and not mount then\n  LoadSet()\nend\nIR_MOUNT=mount\n--[[자동 박차 이벤트 입니다.]]",
		},
		["수영"] = {
			["trigger"] = "MIRROR_TIMER_START",
			["delay"] = 0,
			["script"] = "local i,found\nfor i=1,3 do\n  if getglobal(\"MirrorTimer\"..i):IsVisible() and getglobal(\"MirrorTimer\"..i..\"Text\"):GetText() == BREATH_LABEL then\n    found = 1\n  end\nend\nif found then\n  EquipSet()\nend\n--[[호흡 게이지가 나타났을 때 착용할 아이템입니다. 주의: 이 이벤트는 물 밖을 떠나면 기존 아이템으로 다시 갈아입지 않습니다.  물 밖으로 나간 것을 확인할 방법이 확실하지 않기 때문입니다. 또한 eCastingBar애드온 사용시 정상 작동하지 않습니다.]]",
		},
		["물빵먹기"] = {
			["trigger"] = "ITEMRACK_BUFFS_CHANGED",
			["delay"] = 0.5,
			["script"] = "local found=arg1[\"Interface\\\\Icons\\\\INV_Misc_Fork&Knife\"] or arg1[\"Drink\"]\nif not IR_DRINK and found then\nEquipSet() IR_DRINK=1\nelseif IR_DRINK and not found then\nLoadSet() IR_DRINK=nil\nend\n--[[음료나 음식을 먹을 때 착용할 아이템입니다.]]",
		},
		["전사:방어 태세"] = {
			["trigger"] = "PLAYER_AURAS_CHANGED",
			["delay"] = 0,
			["script"] = "local _,_,isActive = GetShapeshiftFormInfo(2) if isActive and IR_FORM~=\"방어 태세\" then EquipSet() IR_FORM=\"방어 태세\" end --[[방어 태세를 취했을 때 착용할 아이템입니다.]]",
		},
		["계급장"] = {
			["trigger"] = "ITEMRACK_NOTIFY",
			["delay"] = 0,
			["script"] = "if arg1==\"얼라이언스 계급장\" or arg1==\"호드 계급장\" then EquipSet() end --[[얼라이언스/호드 계급장의 재사용 대기 시간이 끝났을 때 착용할 세트입니다.]]",
		},
		["대지의 격동"] = {
			["trigger"] = "ITEMRACK_NOTIFY",
			["delay"] = 0,
			["script"] = "if arg1==\"대지의 격동\" then EquipSet() end --[[대지의 격동의 재사용 대기 시간이 끝났을 때 착용할 세트입니다.]]",
		},
		["사제:어둠의 형상"] = {
			["trigger"] = "ITEMRACK_BUFFS_CHANGED",
			["delay"] = 0,
			["script"] = "local f=arg1[\"Interface\\\\Icons\\\\Spell_Shadow_Shadowform\"]\nif not IR_Shadowform and f then\n  EquipSet() IR_Shadowform=1\nelseif IR_Shadowform and not f then\n  LoadSet() IR_Shadowform=nil\nend\n--[[사제가 어둠의 형상을 취했을 때 착용할 아이템입니다.]]",
		},
		["전사:제압 시작"] = {
			["trigger"] = "CHAT_MSG_COMBAT_SELF_MISSES",
			["delay"] = 0,
			["script"] = "--[[대상이 공격을 회피 했을 때 아이템을 착용합니다. 이 이벤트에는 공격력이 높은 양손 무기를 연결하시는 것이 좋습니다. ]]\nlocal _,_,i = GetShapeshiftFormInfo(1)\nif string.find(arg1 or \"\",\"교묘히 피했습니다.\") and i then\nEquipSet()\nIR_OVERPOWER=1\nend",
		},
		["마을"] = {
			["trigger"] = "PLAYER_UPDATE_RESTING",
			["delay"] = 0,
			["script"] = "if IsResting() and not IR_TOWN then EquipSet() IR_TOWN=1 elseif IR_TOWN then LoadSet() IR_TOWN=nil end\n--[[대도시 안이나 여관 안에 있을 때 착용할 아이템을 설정합니다.]]"
		},
		["승기의 부적"] = {
			["trigger"] = "ITEMRACK_NOTIFY",
			["delay"] = 0,
			["script"] = "if arg1==\"승기의 부적\" then EquipSet() end --[[승기의 부적의 재사용 대기 시간이 끝났을 때 착용할 세트입니다.]]",
		},
		["승기의 부적 사용후"] = {
			["trigger"] = "ITEMRACK_ITEMUSED",
			["delay"] = 20,
			["script"] = "if arg1==\"승기의 부적\" then EquipSet() end --[[승기의 부적을 사용한 후에 착용할 아이템 입니다.]]",
		},
		["잔달라의 영웅 부적"] = {
			["trigger"] = "ITEMRACK_NOTIFY",
			["delay"] = 0,
			["script"] = "if arg1==\"잔달라의 영웅 부적\" then EquipSet() end --[[잔달라의 영웅 부적의 재사용 대기 시간이 끝났을 때 착용할 세트입니다.]]",
		},
		["잔달라의 영웅 부적 사용후"] = {
			["trigger"] = "ITEMRACK_ITEMUSED",
			["delay"] = 20,
			["script"] = "if arg1==\"잔달라의 영웅 부적\" then EquipSet() end --[[잔달라의 영웅 부적을 사용한 후에 착용할 아이템 입니다.]]",
		},
		["휴면의 수정"] = {
			["trigger"] = "ITEMRACK_NOTIFY",
			["delay"] = 0,
			["script"] = "if arg1==\"휴면의 수정\" then EquipSet() end --[[휴면의 수정의 재사용 대기 시간이 끝났을 때 착용할 세트입니다.]]",
		},
		["휴면의 수정 사용후"] = {
			["trigger"] = "ITEMRACK_ITEMUSED",
			["delay"] = 20,
			["script"] = "if arg1==\"휴면의 수정\" then EquipSet() end --[[휴면의 수정을 사용한 후에 착용할 아이템 입니다.]]",
		},
		["잔달라의 영웅 메달"] = {
			["trigger"] = "ITEMRACK_NOTIFY",
			["delay"] = 0,
			["script"] = "if arg1==\"잔달라의 영웅 메달\" then EquipSet() end --[[잔달라의 영웅 메달의 재사용 대기 시간이 끝났을 때 착용할 세트입니다.]]",
		},
		["잔달라의 영웅 메달"] = {
			["trigger"] = "ITEMRACK_ITEMUSED",
			["delay"] = 20,
			["script"] = "if arg1==\"잔달라의 영웅 메달\" then EquipSet() end --[[잔달라의 영웅 메달을 사용한 후에 착용할 아이템 입니다.]]",
		},
		["단명의 마력 부적"] = {
			["trigger"] = "ITEMRACK_NOTIFY",
			["delay"] = 0,
			["script"] = "if arg1==\"단명의 마력 부적\" then EquipSet() end --[[단명의 마력 부적의 재사용 대기 시간이 끝났을 때 착용할 세트입니다.]]",
		},
		["단명의 마력 부적 사용후"] = {
			["trigger"] = "ITEMRACK_ITEMUSED",
			["delay"] = 20,
			["script"] = "if arg1==\"단명의 마력 부적\" then EquipSet() end --[[단명의 마력 부적을 사용한 후에 착용할 아이템 입니다.]]",
		},
		["하자라의 치유의 부적"] = {
			["trigger"] = "ITEMRACK_NOTIFY",
			["delay"] = 0,
			["script"] = "if arg1==\"하자라의 치유의 부적\" then EquipSet() end --[[하자라의 치유의 부적의 재사용 대기 시간이 끝났을 때 착용할 세트입니다.]]",
		},
		["하자라의 치유의 부적 사용후"] = {
			["trigger"] = "ITEMRACK_ITEMUSED",
			["delay"] = 15,
			["script"] = "if arg1==\"하자라의 치유의 부적\" then EquipSet() end --[[하자라의 치유의 부적을 사용한 후에 착용할 아이템 입니다.]]",
		},
		["전투감시병의 휘장"] = {
			["trigger"] = "ITEMRACK_NOTIFY",
			["delay"] = 0,
			["script"] = "if arg1==\"전투감시병의 휘장\" then EquipSet() end --[[전투감시병의 휘장의 재사용 대기 시간이 끝났을 때 착용할 세트입니다.]]",
		},
		["전투감시병의 휘장 사용후"] = {
			["trigger"] = "ITEMRACK_ITEMUSED",
			["delay"] = 20,
			["script"] = "if arg1==\"전투감시병의 휘장\" then EquipSet() end --[[전투감시병의 휘장을 사용한 후에 착용할 아이템 입니다.]]",
		},
		["바람의돌 복귀"] = {
			["script"] = "if (string.find(arg2, \"기사단\")) then\  EquipSet();\nend\n--[[하급 바람의 돌 소환 후에 착용할 아이템 입니다.]]--",
			["trigger"] = "CHAT_MSG_MONSTER_SAY",
			["delay"] = 0,
		},
	}

end
