ToolsCenterBar = {
	Version = "2.0",
	Event = {
		"PLAYER_TARGET_CHANGED",
		"PLAYER_REGEN_ENABLED",
		"PLAYER_REGEN_DISABLED",
		"ACTIONBAR_SHOWGRID",
		"ACTIONBAR_HIDEGRID"
	},
	OverlayTexture = {
		[1] = "",
		[2] = "interface\\AddOns\\ToolsCenterBar\\Overlay.tga",
		[3] = "interface\\AddOns\\ToolsBar\\Image\\Circle.tga",
		[4] = "interface\\AddOns\\ToolsBar\\Image\\Sprocket.tga"
	}
}

local function GetStart(v) if v == 1 then return ToolsCenterBarDB.Alpha else return 1 end end
local function GetEnd(v) if v == 0 then return ToolsCenterBarDB.Alpha else return 1 end end
local function FadeStart(v) UIFrameFadeIn(ToolsCenterBarFrame, ToolsCenterBarDB.FadeTime, GetStart(v), GetEnd(v)) end

ToolsEventReg("ToolsCenterBarFrame", {"VARIABLES_LOADED","PLAYER_ENTERING_WORLD"},
	function ()
		--ChatFrame1:AddMessage("이벤트 확인 : "..event)
		if event == "VARIABLES_LOADED" then
			if not ToolsCenterBarDB then
				ToolsCenterBar:Default()
			end
			ToolsCenterBar:OnLoad()
			this:UnregisterEvent(event)
		elseif (event == "PLAYER_ENTERING_WORLD") then
			if (ToolsCenterBarDB.UseEvent) then
				if not UnitAffectingCombat("player") then 
					ToolsCenterBar:SetAlpha()
				end
			end
			ToolsCenterBar:SetFont()
			this:UnregisterEvent(event)
		elseif (event == "PLAYER_TARGET_CHANGED") then
			if UnitAffectingCombat("player") then return end
			if not UnitIsVisible("target") then 
				if ToolsCenterBarFrame:GetAlpha() ~= 1 then return end
				FadeStart(0)
				return
			end
			if (UnitCanAttack("player", "target")) then
				if ToolsCenterBarFrame:GetAlpha() == 1 then return end
				FadeStart(1)
				return
			end
		elseif (event == "PLAYER_REGEN_DISABLED") then
			if ToolsCenterBarFrame:GetAlpha() ~= 1 then
				FadeStart(1)
			end
		elseif (event == "PLAYER_REGEN_ENABLED") then
			if ToolsCenterButton1.showgrid == 1 then return end
			if UnitIsVisible("target") and UnitCanAttack("player", "target") then return end
			FadeStart(0)
		elseif (event == "ACTIONBAR_SHOWGRID") then
			if UnitAffectingCombat("player") or ToolsCenterBarFrame:GetAlpha() == 1 then return end
			FadeStart(1)
		elseif (event == "ACTIONBAR_HIDEGRID") then
			if UnitAffectingCombat("player") or ToolsCenterBarFrame:GetAlpha() ~= 1 or (UnitIsVisible("target") and UnitCanAttack("player", "target")) then return end
			FadeStart(0)
		end
	end)


function ToolsCenterBar:Default()
	--ChatFrame1:AddMessage("Tool's CenterBar 초기화")
	ToolsCenterBarDB = {
		SetID = 2,
		Overlay = 2,
		Layout = 1, -- 1:6+6 여섯줄, 2:3,3+3,3 세줄, 3: 2,2,2 + 2,2,2 두줄, 4:6 + 6 한줄 5: 6+6 한줄엇갈림
		GapButton = 8,
		GapWidth = 150,
		YPoint = 100,
		FadeTime = 0.2,
		Scale = 0.9,
		Alpha = 0.2,
		UseEvent = true
	}
end
function ToolsCenterBar:OnLoad()
	ToolsCenterBarFrame:SetParent(UIParent)
	self:RegisterEvent(true)
	self:CreateButton()
	self:SetID()
	self:SetTexture()
	self:SetScale()
	self:SetPoint()
	local info = {first = {{	text = "센터바 옵션", notCheckable = 1,
					func = function()
						LoadAddOn("ToolsCenterBar_Option")
						if (ToolsCenterBarOPT) then
							ToolsCenterBarOPT:Show()
						else
							ChatFrame1:AddMessage("Tool's CenterBar : 옵션이 설치되어 있지 않습니다", 1, .4, .4)
						end
					end
					}}}
	ToolsDropdownReg(info)
end
function ToolsCenterBar:RegisterEvent(event)
	if (ToolsCenterBarDB.UseEvent) then
		for i = 1, getn(self.Event) do
			ToolsCenterBarFrame:RegisterEvent(self.Event[i])
		end
	else
		if (event) then return end
		for i = 1, getn(self.Event) do
			ToolsCenterBarFrame:UnregisterEvent(self.Event[i])
		end
	end
end
function ToolsCenterBar:SetAlpha()
	ToolsCenterBarFrame:SetAlpha(ToolsCenterBarDB.Alpha)
end
function ToolsCenterBar:SetScale()
	ToolsCenterBarFrame:SetScale(ToolsCenterBarDB.Scale)
end
function ToolsCenterBar:SetID()
	local id = 9
	if ToolsCenterBarDB.SetID == 1 then
		id = 1
	end
	for i = 1, 12 do
		getglobal("ToolsCenterButton"..i):SetAttribute("action", i+(12*id))
	end
end
function ToolsCenterBar:SetPoint()
	local id = ToolsCenterBarDB.Layout
	Tools_SetPoint(ToolsCenterButton1, 6, 0, 5, -ToolsCenterBarDB.GapWidth, ToolsCenterBarDB.YPoint)
	Tools_SetPoint(ToolsCenterButton7, 4, 0, 5, ToolsCenterBarDB.GapWidth, ToolsCenterBarDB.YPoint)
	if id == 1 then
		Tools_SetPoint(ToolsCenterButton2, 8, ToolsCenterButton1, 2, -20, -ToolsCenterBarDB.GapButton)
		Tools_SetPoint(ToolsCenterButton3, 8, ToolsCenterButton2, 2, -10, -ToolsCenterBarDB.GapButton)
		Tools_SetPoint(ToolsCenterButton4, 8, ToolsCenterButton3, 2, 0, -ToolsCenterBarDB.GapButton)
		Tools_SetPoint(ToolsCenterButton5, 8, ToolsCenterButton4, 2, 10, -ToolsCenterBarDB.GapButton)
		Tools_SetPoint(ToolsCenterButton6, 8, ToolsCenterButton5, 2, 20, -ToolsCenterBarDB.GapButton)
		Tools_SetPoint(ToolsCenterButton8, 8, ToolsCenterButton7, 2, 20, -ToolsCenterBarDB.GapButton)
		Tools_SetPoint(ToolsCenterButton9, 8, ToolsCenterButton8, 2, 10, -ToolsCenterBarDB.GapButton)
		Tools_SetPoint(ToolsCenterButton10, 8, ToolsCenterButton9, 2, 0, -ToolsCenterBarDB.GapButton)
		Tools_SetPoint(ToolsCenterButton11, 8, ToolsCenterButton10, 2, -10, -ToolsCenterBarDB.GapButton)
		Tools_SetPoint(ToolsCenterButton12, 8, ToolsCenterButton11, 2, -20, -ToolsCenterBarDB.GapButton)
	elseif id == 2 then
		Tools_SetPoint(ToolsCenterButton2, 8, ToolsCenterButton1, 2, 0, -ToolsCenterBarDB.GapButton)
		Tools_SetPoint(ToolsCenterButton3, 8, ToolsCenterButton2, 2, 0, -ToolsCenterBarDB.GapButton)
		Tools_SetPoint(ToolsCenterButton4, 9, ToolsCenterButton1, 4, -ToolsCenterBarDB.GapButton, -ToolsCenterBarDB.GapButton/2)
		Tools_SetPoint(ToolsCenterButton5, 8, ToolsCenterButton4, 2, 0, -ToolsCenterBarDB.GapButton)
		Tools_SetPoint(ToolsCenterButton6, 8, ToolsCenterButton5, 2, 0, -ToolsCenterBarDB.GapButton)
		Tools_SetPoint(ToolsCenterButton8, 8, ToolsCenterButton7, 2, 0, -ToolsCenterBarDB.GapButton)
		Tools_SetPoint(ToolsCenterButton9, 8, ToolsCenterButton8, 2, 0, -ToolsCenterBarDB.GapButton)
		Tools_SetPoint(ToolsCenterButton10, 7, ToolsCenterButton7, 6, ToolsCenterBarDB.GapButton, -ToolsCenterBarDB.GapButton/2)
		Tools_SetPoint(ToolsCenterButton11, 8, ToolsCenterButton10, 2, 0, -ToolsCenterBarDB.GapButton)
		Tools_SetPoint(ToolsCenterButton12, 8, ToolsCenterButton11, 2, 0, -ToolsCenterBarDB.GapButton)
	elseif id >= 3 then
		Tools_SetPoint(ToolsCenterButton2, 4, ToolsCenterButton1, 6, ToolsCenterBarDB.GapButton, 0)
		Tools_SetPoint(ToolsCenterButton3, 4, ToolsCenterButton2, 6, ToolsCenterBarDB.GapButton, 0)
		Tools_SetPoint(ToolsCenterButton5, 4, ToolsCenterButton4, 6, ToolsCenterBarDB.GapButton, 0)
		Tools_SetPoint(ToolsCenterButton6, 4, ToolsCenterButton5, 6, ToolsCenterBarDB.GapButton, 0)
		Tools_SetPoint(ToolsCenterButton8, 6, ToolsCenterButton7, 4, -ToolsCenterBarDB.GapButton, 0)
		Tools_SetPoint(ToolsCenterButton9, 6, ToolsCenterButton8, 4, -ToolsCenterBarDB.GapButton, 0)
		Tools_SetPoint(ToolsCenterButton11, 6, ToolsCenterButton10, 4, -ToolsCenterBarDB.GapButton, 0)
		Tools_SetPoint(ToolsCenterButton12, 6, ToolsCenterButton11, 4, -ToolsCenterBarDB.GapButton, 0)
		if id == 3 then
			Tools_SetPoint(ToolsCenterButton4, 9, ToolsCenterButton1, 2, -ToolsCenterBarDB.GapButton/2, -ToolsCenterBarDB.GapButton)
			Tools_SetPoint(ToolsCenterButton10, 7, ToolsCenterButton7, 2, ToolsCenterBarDB.GapButton/2, -ToolsCenterBarDB.GapButton)
		else
			Tools_SetPoint(ToolsCenterButton4, 4, ToolsCenterButton3, 6, ToolsCenterBarDB.GapButton, 0)
			Tools_SetPoint(ToolsCenterButton10, 6, ToolsCenterButton9, 4, -ToolsCenterBarDB.GapButton, 0)
		end
	end
	if id == 5 then
		Tools_SetPoint(ToolsCenterButton7, 4, 0, 5, ToolsCenterBarDB.GapWidth, ToolsCenterBarDB.YPoint-(36+ToolsCenterBarDB.GapButton))
	end
end
function ToolsCenterBar:CreateButton()
	for i = 1, 12 do
		local button = CreateFrame("CheckButton", "ToolsCenterButton"..i, ToolsCenterBarFrame, "SecureActionButtonTemplate, ActionBarButtonTemplate")
		local frame = CreateFrame("Frame", "ToolsCenterButton"..i.."Tools", getglobal("ToolsCenterButton"..i), "ToolsCenterBarButtonOverlayTemplate")
		ToolsCenterBarFrame:SetAttribute("addchild", button)
		button:SetFrameStrata("BACKGROUND")
		getglobal("ToolsCenterButton"..i.."Icon"):SetTexCoord(0.06,0.94,0.09,0.94)
		getglobal("ToolsCenterButton"..i.."Border"):SetParent(frame)
		frame:SetScript("OnUpdate", function()
			local k = GetBindingKey("TOOLSCENTERBUTTON"..i)
			if (k) and getglobal("ToolsCenterButton"..i).bind ~= k then
				getglobal("ToolsCenterButton"..i).bind = k
				ChatFrame1:AddMessage(k)
				ClearOverrideBindings(getglobal("ToolsCenterButton"..i))
				SetOverrideBindingClick(getglobal("ToolsCenterButton"..i), false, k, "ToolsCenterButton"..i)
			end
			if not (ToolsCenterBarDB.UseEvent) then return end
			if this:GetParent():GetAlpha() ~= 0 then
				this:GetParent():Enable()
			else
				this:GetParent():Disable()
			end
		end)
	end
end
function ToolsCenterBar:SetTexture()
	for i = 1, 12 do
		local button = "ToolsCenterButton"..i
		local border = getglobal(button.."Border")
		local texture = ToolsCenterBar.OverlayTexture[ToolsCenterBarDB.Overlay]
		getglobal(button.."Tools_Overlay"):SetTexture(texture)
		if ToolsCenterBarDB.Overlay == 1 then
			border:SetPoint("TOPLEFT", getglobal(button), "TOPLEFT", -13.5, 14)
			border:SetPoint("BOTTOMRIGHT", getglobal(button), "BOTTOMRIGHT", 14, -12.5)
			texture = "Interface/Buttons/UI-ActionButton-Border"
		else
			border:SetPoint("TOPLEFT", getglobal(button), "TOPLEFT", -12.5, 11)
			border:SetPoint("BOTTOMRIGHT", getglobal(button), "BOTTOMRIGHT", 11, -11.5)
		end
		border:SetTexture(texture)
	end
end
function ToolsCenterBar:SetFont()
	for i = 1, 12 do
		local frame = "ToolsCenterButton"..i
		getglobal(frame.."HotKey"):SetFontObject("ToolsCenterBarHotkeyFont")
		getglobal(frame.."Name"):SetFontObject("ToolsCenterBarHotkeyFont")
		getglobal(frame.."Count"):SetFontObject("ToolsCenterBarHotkeyFont")
		if (ToolsBarDB) then
			getglobal(frame.."Name"):SetVertexColor(unpack(ToolsBarDB.Color.Name))
			getglobal(frame.."Count"):SetVertexColor(unpack(ToolsBarDB.Color.Count))
		end
	end
end

BINDING_HEADER_TOOLSCENTERBARBIND = "중앙버튼 단축키"
BINDING_NAME_TOOLSCENTERBUTTON1 = "버튼 1"
BINDING_NAME_TOOLSCENTERBUTTON2 = "버튼 2"
BINDING_NAME_TOOLSCENTERBUTTON3 = "버튼 3"
BINDING_NAME_TOOLSCENTERBUTTON4 = "버튼 4"
BINDING_NAME_TOOLSCENTERBUTTON5 = "버튼 5"
BINDING_NAME_TOOLSCENTERBUTTON6 = "버튼 6"
BINDING_NAME_TOOLSCENTERBUTTON7 = "버튼 7"
BINDING_NAME_TOOLSCENTERBUTTON8 = "버튼 8"
BINDING_NAME_TOOLSCENTERBUTTON9 = "버튼 9"
BINDING_NAME_TOOLSCENTERBUTTON10 = "버튼 10"
BINDING_NAME_TOOLSCENTERBUTTON11 = "버튼 11"
BINDING_NAME_TOOLSCENTERBUTTON12 = "버튼 12"